<%@page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@page import="br.com.biblioteca.util.Constantes"%>
<%@page import="br.com.biblioteca.util.Paginas"%>
<%@page import="br.com.biblioteca.model.Livro"%>
<%@page import="java.util.List"%>

<!DOCTYPE html>
<html lang="pt-br">
<head>
<jsp:include page="components/header.jsp"></jsp:include>
</head>
<body class="hold-transition skin-blue-light layout-top-nav">
	<div class="wrapper">
		<header class="main-header">
			<jsp:include page="components/navbar.jsp"></jsp:include>
		</header>
		<!-- Full Width Column -->
		<div class="content-wrapper">
			<div class="container">
				<section class="content">
					<div class="row">
						<div class="col-xs-12">
							<div class="box box-info">
								<div class="box-header with-border">
									<h3 class="box-title">Bibliografia Básica</h3>
									<div class="box-tools pull-right">
										<button type="button" class="btn btn-box-tool" data-widget="collapse">
											<i class="fa fa-minus"></i>
										</button>
									</div>
								</div>
								<div class="box-body">
									<table id="bibliografia-basica"
										class="table table-hover table-livro">
										<thead>
											<tr>
												<th class="titulo-livro">Título</th>
												<th class="autores-livro">Autor(es)</th>
												<th class="editora-livro">Editora</th>
												<th class="edicao-livro">Edição</th>
											</tr>
										</thead>
										<tbody>
										<%
											List<Livro> basica = (List<Livro>) request.getAttribute(Constantes.LISTA_BASICA);
											if(basica.isEmpty()){
											%>
												<tr>
													
												<td>
												<span class="glyphicon glyphicon-thumbs-down"></span>
												Oops... Esta disciplina não possui bibliografia básica homologada no sistema!
												</td>
													
												</tr>
											<%
												}
											for (Livro livro : basica) {
										    %>
											<tr>
												<td><%=livro.getTitulo()%></td>
												<td><%=livro.autoresToString()%></td>
												<td><%=livro.getEditora()%></td>
												<td><%=livro.getEdicao()%></td>
											</tr>
										<%
											}
										%>
										</tbody>
									</table>
								</div>
							</div>
						</div>
					</div>
					<div class="row">
						<div class="col-xs-12">
							<div class="box box-info">
								<div class="box-header with-border">
									<h3 class="box-title">Bibliografia Complementar</h3>
									<div class="box-tools pull-right">
										<button type="button" class="btn btn-box-tool" data-widget="collapse">
											<i class="fa fa-minus"></i>
										</button>
									</div>
								</div>
								<div class="box-body">
									<table id="bibliografia-complementar"
										class="table table-hover table-livro">
										<thead>
											<tr>
												<th class="titulo-livro">Título</th>
												<th class="autores-livro">Autor(es)</th>
												<th class="editora-livro">Editora</th>
												<th class="ano-livro">Ano</th>
											</tr>
										</thead>
										<tbody>
										<%
											List<Livro> complementar = (List<Livro>) request.getAttribute(Constantes.LISTA_COMPLEMENTAR);
											
										if(complementar.isEmpty()){
											%>
												<tr>
												<td>
												<span class="glyphicon glyphicon-thumbs-down"></span>
												 Oops... Esta disciplina não possui bibliografia complementar homologada no sistema!
												</td>
												</tr>
											<%
												}	
										
										
										for (Livro livro : complementar) {
										%>
											<tr>
												<td><%=livro.getTitulo()%></td>
												<td><%=livro.autoresToString()%></td>
												<td><%=livro.getEditora()%></td>
												<td><%=livro.getEdicao()%></td>
											</tr>
										<%
											}
										%>
										</tbody>
									</table>
								</div>
							</div>
						</div>
					</div>
					<div align="right">
					   <form id="form-bibliografia" action="main?page=<%=Paginas.PROPOSTA_BIBLIOGRAFIA.getPageParameter()%>" method="POST">
						<input type="hidden" id="input-disciplina" name="<%=Constantes.ID_DISCIPLINA%>" value=""/>
					   <button type="submit" class="btn btn-primary btn-lg">
					   <span class="glyphicon glyphicon-heart" aria-hidden="false"> </span>		   
	         			   Minha Proposta
					   </button>
					   </form>
					
					</div>					
				</section>
			</div>
		</div>
	<jsp:include page="components/footer.jsp"></jsp:include>
	</div>
	<jsp:include page="components/javascriptFiles.jsp"></jsp:include>
	<jsp:include page="components/modals.jsp"></jsp:include>

	<jsp:include page="components/javascriptFiles.jsp"></jsp:include>
	<script src="pages/js/bibliografiaDisciplina.js"></script>
</body>
</html>
