<%@page import="br.com.biblioteca.model.PropostaBibliografia"%>
<%@page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@page import="br.com.biblioteca.util.Constantes"%>
<%@page import="br.com.biblioteca.util.Paginas"%>
<%@page import="br.com.biblioteca.model.Livro"%>
<%@page import="java.util.List"%>
<%@page import="br.com.biblioteca.bo.AutorBO"%>
<%@page import="br.com.biblioteca.bo.LivroBO"%>
<%@page import="br.com.biblioteca.bo.LivrosFavoritosBO"%>
<%@page import="br.com.biblioteca.exception.NegocioException"%>
<%@page import="br.com.biblioteca.exception.PersistenciaException"%>
<%@page import="br.com.biblioteca.model.Autor"%>
<%@page import="br.com.biblioteca.model.Livro"%>
<%@page import="br.com.biblioteca.model.Usuario"%>
<%@page import="br.com.biblioteca.model.Disciplina"%>
<%@page import="br.com.biblioteca.util.Constantes"%>
<%@page import="br.com.biblioteca.util.MensagensConstantes"%>
<%@page import="br.com.biblioteca.util.Paginas"%>
<%@page import="br.com.biblioteca.util.Session"%>
<%@page import="br.com.biblioteca.command.LivrosFavoritosCommand"%>


<!DOCTYPE html>
<html lang="pt-br">
<head>
<jsp:include page="components/header.jsp"></jsp:include>
</head>
<body class="hold-transition skin-blue-light layout-top-nav">
	<header class="main-header">
		<jsp:include page="components/navbar.jsp"></jsp:include>
	</header>
	<%
		PropostaBibliografia proposta = (PropostaBibliografia) request.getAttribute(Constantes.PROPOSTA);
		List<Livro> favoritos = (List<Livro>) request.getAttribute(Constantes.LISTA_FAVORITOS_PROPOSTA);
		List<Livro> basica = (List<Livro>) request.getAttribute(Constantes.LISTA_BASICA_PROPOSTA);
		List<Livro> complementar = (List<Livro>) request.getAttribute(Constantes.LISTA_COMPLEMENTAR_PROPOSTA);
	%>

	<div class="container theme-showcase" role="main">
		<div class="jumbotron" id="jbtApresentacao">

			<h1>Proposta de bibliografia</h1>
			<p>
				Esta é a sua proposta de bibliografia para a disciplina de
				<%=proposta.getDisciplina().getNome()%>, você pode selecionar livros
				de sua lista de favoritos e criar a sua proposta. <a><span
					id="btnAbreModalInfo" class="glyphicon glyphicon-question-sign"
					aria-hidden="true" data-toggle="modal"
					data-target="#modalInfoProposta"></span></a>
			</p>
			<div class="modal fade" id="modalInfoProposta" role="dialog">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal">&times;</button>
							<h4 class="modal-title">O que é proposta de bibliografia?</h4>
						</div>
						<div class="modal-body">
							<p>A bibliografia de uma disciplina é subdividida em duas
								coleções de livros, são elas: bibliografia básica e a
								bibliografia complementar. Na bibliografia basica, segundo
								regras estabelecidas pelo MEC devem ser indicados três livros e
								na complementar cinco livros. Uma proposta de bibliografia
								consiste na ação de indicar livros para compor uma bibliografia
								de disciplina. Após realizar tal indicação, esta proposta
								passará por um fluxo de aprovações e por fim se aprovada,
								torna-se homologada à disciplina.</p>
						</div>
						<div class="modal-footer">
							<button type="button" class="btn btn-default"
								data-dismiss="modal">Fechar</button>
						</div>
					</div>
				</div>
			</div>
		</div>
		<%
			if (proposta.getStatus().getIdStatus() == 1 && basica.size() == 3 && complementar.size() == 5) {
		%>
		<div class="box box-info">
			<div class="box-body">
				<div id="div-submissao" align="right">


					<a class="btn btn-primary" role="button"
						title="Submeter proposta a aprovação do coordenador do curso."
						href="main?page=<%=Paginas.PROPOSTA_BIBLIOGRAFIA.getPageParameter()%>&acao=<%=Constantes.ACTION_PROPOSTA_SUBMETER_COORDENADOR%>&<%=Constantes.ID_PROPOSTA%>=<%=proposta.getIdProposta()%>&<%=Constantes.ID_DISCIPLINA%>=<%=proposta.getDisciplina().getIdDisciplina()%>&<%=Constantes.ID_COORDENADOR%>=<%=proposta.getDisciplina().getCoordenador().getIdCoordenador()%>&<%=Constantes.MAIL_COORDENADOR%>=<%=proposta.getDisciplina().getCoordenador().getEmail()%>&<%=Constantes.NOME_COORDENADOR%>=<%=proposta.getDisciplina().getCoordenador().getNome()%>">
						<span class="glyphicon glyphicon-send" aria-hidden="true"></span>
						Submeter
					</a>
					

				</div>
				<div class="row">
					<div class="col-md-6">
						<h1>Sua lista de livros favoritos</h1>

						<input id="lista-favoritos" class="form-control"
							list="favoritosBasica"
							title="Selecione um livro para adicionar a proposta."
							placeholder="Selecione um livro">
						<table class="table" id="tb_lista-favoritos">
							<thead>
								<tr>
									<th>Título</th>
									<th>Autor(es)</th>
									<th>Editora</th>
									<th>Edição</th>
									

								</tr>
							</thead>
							<tbody>
								<%
									for (Livro l : favoritos) {
								%>
								<tr>
									<td id="fav-titulo"><%=l.getTitulo()%></td>
									<td id="fav-autores"><%=l.autoresToString()%></td>
									<td id="fav-editora"><%=l.getEditora()%></td>
									<td id="fav-edicao"><%=l.getEdicao()%></td>
									
								</tr>
								<%
									}
								%>
							</tbody>
						</table>

					</div>
					<div class="col-md-6">
						<h1>Bibliografia Básica</h1>
						<table class="table">
							<thead>
								<tr>
									<th>Título</th>
									<th>Autor(es)</th>
									<th>Editora</th>
									<th>Edição</th>
									<th>#</th>
								</tr>
							</thead>
							<tbody>
								<%
									if (basica.isEmpty()) {
								%>
								<tr id="nenhumNaBasica">
									<td colspan="5">
										<div class="alert alert-warning" role="alert">
											<p>
												<b>Oops...</b>Nenhum livro foi encontrado na sua proposta de
												bibliografia básica!
											</p>
										</div>

									</td>
								</tr>
								<%
									} else {
											for (Livro livro : basica) {
								%>
								<tr>
									<td id="bas-titulo"><%=livro.getTitulo()%></td>
									<td id="bas-autor"><%=livro.autoresToString()%></td>
									<td id="bas-editora"><%=livro.getEditora()%></td>
									<td id="bas-edicao"><%=livro.getEdicao()%></td>
									<td><a class="btn btn-danger" role="button"
										id="bas-remove" title="Clique aqui para remover da proposta."
										href="main?page=<%=Paginas.PROPOSTA_BIBLIOGRAFIA.getPageParameter()%>&acao=<%=Constantes.ACTION_PROPOSTA_REMOVER%>&<%=Constantes.ID_LIVRO%>=<%=livro.getIdLivro()%>&<%=Constantes.ID_PROPOSTA%>=<%=proposta.getIdProposta()%>&<%=Constantes.ID_DISCIPLINA%>=<%=proposta.getDisciplina().getIdDisciplina()%>">
											<span class="glyphicon glyphicon-trash"></span>
									</a></td>
								</tr>
								<%
									}
										}
								%>

							</tbody>
						</table>
						<h1>Bibliografia Complementar</h1>
						<table class="table">
							<thead>
								<tr>
									<th>Título</th>
									<th>Autor(es)</th>
									<th>Editora</th>
									<th>Edição</th>
									<th>#</th>
								</tr>
							</thead>
							<tbody>
								<%
									if (complementar.isEmpty()) {
								%><tr id="nenhumNaComplementar">


									<td colspan="5">
										<div class="alert alert-warning" role="alert">
											<p>
												<b>Oops...</b>Nenhum livro foi encontrado na sua proposta de
												bibliografia complementar!
											</p>
										</div>

									</td>

								</tr>
								<%
									} else {
											for (Livro livro : complementar) {
								%>


								<tr>
									<td id="com-titulo"><%=livro.getTitulo()%></td>
									<td id="com-autor"><%=livro.autoresToString()%></td>
									<td id="com-editora"><%=livro.getEditora()%></td>
									<td id="com-edicao"><%=livro.getEdicao()%></td>
									<td><a class="btn btn-danger" role="button"
										id="bas-remove" title="Clique aqui para remover da proposta."
										href="main?page=<%=Paginas.PROPOSTA_BIBLIOGRAFIA.getPageParameter()%>&acao=<%=Constantes.ACTION_PROPOSTA_REMOVER%>&<%=Constantes.ID_LIVRO%>=<%=livro.getIdLivro()%>&<%=Constantes.ID_PROPOSTA%>=<%=proposta.getIdProposta()%>&<%=Constantes.ID_DISCIPLINA%>=<%=proposta.getDisciplina().getIdDisciplina()%>">
											<span class="glyphicon glyphicon-trash"></span>
									</a></td>
								</tr>
								<%
									}
										}
								%>

							</tbody>
						</table>
					</div>
				</div>

				<div class="row">
					<div class="col-md-6"></div>
					<div class="col-md-6"></div>
				</div>
			</div>
			<%
				} else if (proposta.getStatus().getIdStatus() == 1) {
			if(basica.size() == 3){%>
			<div class="box box-info">
				<div class="box-body">
					
					<div class="row">
						<div class="col-md-6">
							<h1>Sua lista de livros favoritos</h1>

							<input id="lista-favoritos" class="form-control"
								list="favoritosBasica"
								title="Selecione um livro para adicionar a proposta."
								placeholder="Selecione um livro">
							<table class="table" id="tb_lista-favoritos">
								<thead>
									<tr>
										<th>Título</th>
										<th>Autor(es)</th>
										<th>Editora</th>
										<th>Edição</th>
										<th>#</th>

									</tr>
								</thead>
								<tbody>
									<%
										for (Livro l : favoritos) {
									%>
									<tr>
										<td id="fav-titulo"><%=l.getTitulo()%></td>
										<td id="fav-autores"><%=l.autoresToString()%></td>
										<td id="fav-editora"><%=l.getEditora()%></td>
										<td id="fav-edicao"><%=l.getEdicao()%></td>
										<td><a class="btn btn-warning" role="button"
											id="add-na-complementar"
											title="Clique aqui para adicionar a proposta de bibliografia complementar"
											href="main?page=<%=Paginas.PROPOSTA_BIBLIOGRAFIA.getPageParameter()%>&acao=<%=Constantes.ACTION_PROPOSTA_INSERIR_COMPLEMENTAR%>&<%=Constantes.ID_LIVRO%>=<%=l.getIdLivro()%>&<%=Constantes.ID_PROPOSTA%>=<%=proposta.getIdProposta()%>&<%=Constantes.ID_DISCIPLINA%>=<%=proposta.getDisciplina().getIdDisciplina()%>">
												C</a></td>
									</tr>
									<%
										}
									%>
								</tbody>
							</table>

						</div>
						<div class="col-md-6">
							<h1>Bibliografia Básica</h1>
							<table class="table">
								<thead>
									<tr>
										<th>Título</th>
										<th>Autor(es)</th>
										<th>Editora</th>
										<th>Edição</th>
										<th>#</th>
									</tr>
								</thead>
								<tbody>
									<%
										if (basica.isEmpty()) {
									%>
									<tr id="nenhumNaBasica">
										<td colspan="5">
											<div class="alert alert-warning" role="alert">
												<p>
													<b>Oops...</b>Nenhum livro foi encontrado na sua proposta
													de bibliografia básica!
												</p>
											</div>

										</td>
									</tr>
									<%
										} else {
												for (Livro livro : basica) {
									%>
									<tr>
										<td id="bas-titulo"><%=livro.getTitulo()%></td>
										<td id="bas-autor"><%=livro.autoresToString()%></td>
										<td id="bas-editora"><%=livro.getEditora()%></td>
										<td id="bas-edicao"><%=livro.getEdicao()%></td>
										<td><a class="btn btn-danger" role="button"
											id="bas-remove" title="Clique aqui para remover da proposta."
											href="main?page=<%=Paginas.PROPOSTA_BIBLIOGRAFIA.getPageParameter()%>&acao=<%=Constantes.ACTION_PROPOSTA_REMOVER%>&<%=Constantes.ID_LIVRO%>=<%=livro.getIdLivro()%>&<%=Constantes.ID_PROPOSTA%>=<%=proposta.getIdProposta()%>&<%=Constantes.ID_DISCIPLINA%>=<%=proposta.getDisciplina().getIdDisciplina()%>">
												<span class="glyphicon glyphicon-trash"></span>
										</a></td>
									</tr>
									<%
										}
											}
									%>

								</tbody>
							</table>
							<h1>Bibliografia Complementar</h1>
							<table class="table">
								<thead>
									<tr>
										<th>Título</th>
										<th>Autor(es)</th>
										<th>Editora</th>
										<th>Edição</th>
										<th>#</th>
									</tr>
								</thead>
								<tbody>
									<%
										if (complementar.isEmpty()) {
									%><tr id="nenhumNaComplementar">


										<td colspan="5">
											<div class="alert alert-warning" role="alert">
												<p>
													<b>Oops...</b>Nenhum livro foi encontrado na sua proposta
													de bibliografia complementar!
												</p>
											</div>

										</td>

									</tr>
									<%
										} else {
												for (Livro livro : complementar) {
									%>


									<tr>
										<td id="com-titulo"><%=livro.getTitulo()%></td>
										<td id="com-autor"><%=livro.autoresToString()%></td>
										<td id="com-editora"><%=livro.getEditora()%></td>
										<td id="com-edicao"><%=livro.getEdicao()%></td>
										<td><a class="btn btn-danger" role="button"
											id="bas-remove" title="Clique aqui para remover da proposta."
											href="main?page=<%=Paginas.PROPOSTA_BIBLIOGRAFIA.getPageParameter()%>&acao=<%=Constantes.ACTION_PROPOSTA_REMOVER%>&<%=Constantes.ID_LIVRO%>=<%=livro.getIdLivro()%>&<%=Constantes.ID_PROPOSTA%>=<%=proposta.getIdProposta()%>&<%=Constantes.ID_DISCIPLINA%>=<%=proposta.getDisciplina().getIdDisciplina()%>">
												<span class="glyphicon glyphicon-trash"></span>
										</a></td>
									</tr>
									<%
										}
											}
									%>

								</tbody>
							</table>
						</div>
					</div>

					<div class="row">
						<div class="col-md-6"></div>
						<div class="col-md-6"></div>
					</div>
				</div>
					
					
			<%} else if(complementar.size() == 3){%>
			<div class="box box-info">
				<div class="box-body">
					
					<div class="row">
						<div class="col-md-6">
							<h1>Sua lista de livros favoritos</h1>

							<input id="lista-favoritos" class="form-control"
								list="favoritosBasica"
								title="Selecione um livro para adicionar a proposta."
								placeholder="Selecione um livro">
							<table class="table" id="tb_lista-favoritos">
								<thead>
									<tr>
										<th>Título</th>
										<th>Autor(es)</th>
										<th>Editora</th>
										<th>Edição</th>
										<th>#</th>

									</tr>
								</thead>
								<tbody>
									<%
										for (Livro l : favoritos) {
									%>
									<tr>
										<td id="fav-titulo"><%=l.getTitulo()%></td>
										<td id="fav-autores"><%=l.autoresToString()%></td>
										<td id="fav-editora"><%=l.getEditora()%></td>
										<td id="fav-edicao"><%=l.getEdicao()%></td>
										<td><a class="btn btn-success" role="button"
											id="add-na-complementar"
											title="Clique aqui para adicionar a proposta de bibliografia básica."
											href="main?page=<%=Paginas.PROPOSTA_BIBLIOGRAFIA.getPageParameter()%>&acao=<%=Constantes.ACTION_PROPOSTA_INSERIR_BASICA%>&<%=Constantes.ID_LIVRO%>=<%=l.getIdLivro()%>&<%=Constantes.ID_PROPOSTA%>=<%=proposta.getIdProposta()%>&<%=Constantes.ID_DISCIPLINA%>=<%=proposta.getDisciplina().getIdDisciplina()%>">
												B</a></td>
										
									</tr>
									<%
										}
									%>
								</tbody>
							</table>

						</div>
						<div class="col-md-6">
							<h1>Bibliografia Básica</h1>
							<table class="table">
								<thead>
									<tr>
										<th>Título</th>
										<th>Autor(es)</th>
										<th>Editora</th>
										<th>Edição</th>
										<th>#</th>
									</tr>
								</thead>
								<tbody>
									<%
										if (basica.isEmpty()) {
									%>
									<tr id="nenhumNaBasica">
										<td colspan="5">
											<div class="alert alert-warning" role="alert">
												<p>
													<b>Oops...</b>Nenhum livro foi encontrado na sua proposta
													de bibliografia básica!
												</p>
											</div>

										</td>
									</tr>
									<%
										} else {
												for (Livro livro : basica) {
									%>
									<tr>
										<td id="bas-titulo"><%=livro.getTitulo()%></td>
										<td id="bas-autor"><%=livro.autoresToString()%></td>
										<td id="bas-editora"><%=livro.getEditora()%></td>
										<td id="bas-edicao"><%=livro.getEdicao()%></td>
										<td><a class="btn btn-danger" role="button"
											id="bas-remove" title="Clique aqui para remover da proposta."
											href="main?page=<%=Paginas.PROPOSTA_BIBLIOGRAFIA.getPageParameter()%>&acao=<%=Constantes.ACTION_PROPOSTA_REMOVER%>&<%=Constantes.ID_LIVRO%>=<%=livro.getIdLivro()%>&<%=Constantes.ID_PROPOSTA%>=<%=proposta.getIdProposta()%>&<%=Constantes.ID_DISCIPLINA%>=<%=proposta.getDisciplina().getIdDisciplina()%>">
												<span class="glyphicon glyphicon-trash"></span>
										</a></td>
									</tr>
									<%
										}
											}
									%>

								</tbody>
							</table>
							<h1>Bibliografia Complementar</h1>
							<table class="table">
								<thead>
									<tr>
										<th>Título</th>
										<th>Autor(es)</th>
										<th>Editora</th>
										<th>Edição</th>
										<th>#</th>
									</tr>
								</thead>
								<tbody>
									<%
										if (complementar.isEmpty()) {
									%><tr id="nenhumNaComplementar">


										<td colspan="5">
											<div class="alert alert-warning" role="alert">
												<p>
													<b>Oops...</b>Nenhum livro foi encontrado na sua proposta
													de bibliografia complementar!
												</p>
											</div>

										</td>

									</tr>
									<%
										} else {
												for (Livro livro : complementar) {
									%>


									<tr>
										<td id="com-titulo"><%=livro.getTitulo()%></td>
										<td id="com-autor"><%=livro.autoresToString()%></td>
										<td id="com-editora"><%=livro.getEditora()%></td>
										<td id="com-edicao"><%=livro.getEdicao()%></td>
										<td><a class="btn btn-danger" role="button"
											id="bas-remove" title="Clique aqui para remover da proposta."
											href="main?page=<%=Paginas.PROPOSTA_BIBLIOGRAFIA.getPageParameter()%>&acao=<%=Constantes.ACTION_PROPOSTA_REMOVER%>&<%=Constantes.ID_LIVRO%>=<%=livro.getIdLivro()%>&<%=Constantes.ID_PROPOSTA%>=<%=proposta.getIdProposta()%>&<%=Constantes.ID_DISCIPLINA%>=<%=proposta.getDisciplina().getIdDisciplina()%>">
												<span class="glyphicon glyphicon-trash"></span>
										</a></td>
									</tr>
									<%
										}
											}
									%>

								</tbody>
							</table>
						</div>
					</div>

					<div class="row">
						<div class="col-md-6"></div>
						<div class="col-md-6"></div>
					</div>
				</div>
			
			
			
		
			<%} else {%>
		
		
		<div class="box box-info">
		<div class="box-body">
			
			<div class="row">
				<div class="col-md-6">
					<h1>Sua lista de livros favoritos</h1>

					<input id="lista-favoritos" class="form-control"
						list="favoritosBasica"
						title="Selecione um livro para adicionar a proposta."
						placeholder="Selecione um livro">
					<table class="table" id="tb_lista-favoritos">
						<thead>
							<tr>
								<th>Título</th>
								<th>Autor(es)</th>
								<th>Editora</th>
								<th>Edição</th>
								<th>#</th>
								<th>#</th>

							</tr>
						</thead>
						<tbody>
							<%
								for (Livro l : favoritos) {
							%>
							<tr>
								<td id="fav-titulo"><%=l.getTitulo()%></td>
								<td id="fav-autores"><%=l.autoresToString()%></td>
								<td id="fav-editora"><%=l.getEditora()%></td>
								<td id="fav-edicao"><%=l.getEdicao()%></td>
								<td><a class="btn btn-success" role="button"
									id="add-na-complementar"
									title="Clique aqui para adicionar a proposta de bibliografia básica."
									href="main?page=<%=Paginas.PROPOSTA_BIBLIOGRAFIA.getPageParameter()%>&acao=<%=Constantes.ACTION_PROPOSTA_INSERIR_BASICA%>&<%=Constantes.ID_LIVRO%>=<%=l.getIdLivro()%>&<%=Constantes.ID_PROPOSTA%>=<%=proposta.getIdProposta()%>&<%=Constantes.ID_DISCIPLINA%>=<%=proposta.getDisciplina().getIdDisciplina()%>">
										B</a></td>
								<td><a class="btn btn-warning" role="button"
									id="add-na-complementar"
									title="Clique aqui para adicionar a proposta de bibliografia complementar"
									href="main?page=<%=Paginas.PROPOSTA_BIBLIOGRAFIA.getPageParameter()%>&acao=<%=Constantes.ACTION_PROPOSTA_INSERIR_COMPLEMENTAR%>&<%=Constantes.ID_LIVRO%>=<%=l.getIdLivro()%>&<%=Constantes.ID_PROPOSTA%>=<%=proposta.getIdProposta()%>&<%=Constantes.ID_DISCIPLINA%>=<%=proposta.getDisciplina().getIdDisciplina()%>">
										C</a></td>
							</tr>
							<%
								}
							%>
						</tbody>
					</table>

				</div>
				<div class="col-md-6">
					<h1>Bibliografia Básica</h1>
					<table class="table">
						<thead>
							<tr>
								<th>Título</th>
								<th>Autor(es)</th>
								<th>Editora</th>
								<th>Edição</th>
								<th>#</th>
							</tr>
						</thead>
						<tbody>
							<%
								if (basica.isEmpty()) {
							%>
							<tr id="nenhumNaBasica">
								<td colspan="5">
									<div class="alert alert-warning" role="alert">
										<p>
											<b>Oops...</b>Nenhum livro foi encontrado na sua proposta
											de bibliografia básica!
										</p>
									</div>

								</td>
							</tr>
							<%
								} else {
										for (Livro livro : basica) {
							%>
							<tr>
								<td id="bas-titulo"><%=livro.getTitulo()%></td>
								<td id="bas-autor"><%=livro.autoresToString()%></td>
								<td id="bas-editora"><%=livro.getEditora()%></td>
								<td id="bas-edicao"><%=livro.getEdicao()%></td>
								<td><a class="btn btn-danger" role="button"
									id="bas-remove" title="Clique aqui para remover da proposta."
									href="main?page=<%=Paginas.PROPOSTA_BIBLIOGRAFIA.getPageParameter()%>&acao=<%=Constantes.ACTION_PROPOSTA_REMOVER%>&<%=Constantes.ID_LIVRO%>=<%=livro.getIdLivro()%>&<%=Constantes.ID_PROPOSTA%>=<%=proposta.getIdProposta()%>&<%=Constantes.ID_DISCIPLINA%>=<%=proposta.getDisciplina().getIdDisciplina()%>">
										<span class="glyphicon glyphicon-trash"></span>
								</a></td>
							</tr>
							<%
								}
									}
							%>

						</tbody>
					</table>
					<h1>Bibliografia Complementar</h1>
					<table class="table">
						<thead>
							<tr>
								<th>Título</th>
								<th>Autor(es)</th>
								<th>Editora</th>
								<th>Edição</th>
								<th>#</th>
							</tr>
						</thead>
						<tbody>
							<%
								if (complementar.isEmpty()) {
							%><tr id="nenhumNaComplementar">


								<td colspan="5">
									<div class="alert alert-warning" role="alert">
										<p>
											<b>Oops...</b>Nenhum livro foi encontrado na sua proposta
											de bibliografia complementar!
										</p>
									</div>

								</td>

							</tr>
							<%
								} else {
										for (Livro livro : complementar) {
							%>


							<tr>
								<td id="com-titulo"><%=livro.getTitulo()%></td>
								<td id="com-autor"><%=livro.autoresToString()%></td>
								<td id="com-editora"><%=livro.getEditora()%></td>
								<td id="com-edicao"><%=livro.getEdicao()%></td>
								<td><a class="btn btn-danger" role="button"
									id="bas-remove" title="Clique aqui para remover da proposta."
									href="main?page=<%=Paginas.PROPOSTA_BIBLIOGRAFIA.getPageParameter()%>&acao=<%=Constantes.ACTION_PROPOSTA_REMOVER%>&<%=Constantes.ID_LIVRO%>=<%=livro.getIdLivro()%>&<%=Constantes.ID_PROPOSTA%>=<%=proposta.getIdProposta()%>&<%=Constantes.ID_DISCIPLINA%>=<%=proposta.getDisciplina().getIdDisciplina()%>">
										<span class="glyphicon glyphicon-trash"></span>
								</a></td>
							</tr>
							<%
								}
							}
							%>

						</tbody>
					</table>
				</div>
			</div>

			<div class="row">
				<div class="col-md-6"></div>
				<div class="col-md-6"></div>
			</div>
		</div>

		<%
			}
		} else {
		%>
		<div class="box box-info">
			<div class="box-body">
				
				<div class="row">
					<div class="col-md-6">
						<h1>Parabéns sua proposta foi submetida!</h1>

					</div>

			</div>
		 <%} %>
				</div>
			</div>
			<!-- /container -->

			<jsp:include page="components/javascriptFiles.jsp"></jsp:include>
			<jsp:include page="components/modals.jsp"></jsp:include>
			<jsp:include page="components/javascriptFiles.jsp"></jsp:include>
</body>
</html>

