]<%@page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@page import="br.com.biblioteca.util.Constantes"%>
<%@page import="br.com.biblioteca.util.Paginas"%>
<%@page import="br.com.biblioteca.model.Livro"%>
<%@page import="java.util.List"%>
<!DOCTYPE html>
<html lang="pt-br">
<head>
<jsp:include page="components/header.jsp"></jsp:include>
</head>
<body class="hold-transition skin-blue-light layout-top-nav">
	<div class="wrapper">
		<header class="main-header">
			<jsp:include page="components/navbar.jsp"></jsp:include>
		</header>
		<!-- Full Width Column -->
		<div class="content-wrapper">
			<div class="container">
				<section class="content">
					<div class="row">
						<div class="col-xs-12">
							<div class="box box-info">
								<div class="box-header with-border">
									<h3 class="box-title">Livros Favoritos</h3>
									<div class="box-tools pull-right">
										<button type="button" class="btn btn-box-tool" data-widget="collapse">
											<i class="fa fa-minus"></i>
										</button>
									</div>
								</div>
								<div class="box-body">
									<table id="livros-favoritos" class="table tabela-livro table-hover">
										<thead>
											<tr>
												<th class="titulo">Título</th>
												<th class="autores">Autor(es)</th>
												<th class="editora no-sort">Editora</th>
												<th class="ano no-sort">Ano</th>
												<th class="no-sort"></th>
												<th class="no-sort"></th>
											</tr>
										</thead>
										<tbody>
											<%
												List<Livro> livrosFavoritos = (List<Livro>) request.getAttribute(Constantes.LISTA_FAVORITOS);
												for (Livro livro : livrosFavoritos) {
											%>
											<tr>
												<td class="titulo"><%=livro.getTitulo()%></td>
												<td class="autores"><%=livro.autoresToString()%></td>
												<td class="editora"><%=livro.getEditora()%></td>
												<td class="ano"><%=livro.getAnoPublicacao()%></td>
												<td>
												<%
													if (livro.isNovoCadastro()) {
												%>
													<form action="" method="post">
														<a href="" data-toggle="modal" data-target="#editarNovoLivro" 
															data-id='<%=livro.getIdLivro()%>' 
															data-titulo='<%=livro.getTitulo()%>'
															data-edicao='<%=livro.getEdicao()%>'
															data-editora='<%=livro.getEditora()%>'
															data-isbn='<%=livro.getIsbn()%>'
															data-idioma='<%=livro.getIdioma()%>' 
															data-ano='<%=livro.getAnoPublicacao()%>'
															data-cidade='<%=livro.getCidadePublicacao()%>'
															
															title="Editar minha sugestão"><i class="pull-right glyphicon glyphicon-pencil"></i>
														</a>
													</form>
												<%
													}
												%>
												</td>
												
												<td>
													<a href="" data-toggle="modal" data-id="<%=livro.getIdLivro()%>" data-titulo="<%=livro.getTitulo()%>" data-target="#modal-confirma-exclusao">
														<i class="pull-right glyphicon glyphicon-trash"></i>
													</a>
												</td>
											</tr>
											<%
												}
											%>
										</tbody>
									</table>
								</div>
							</div>
						</div>
					</div>
					<div class="row">
						<div class="col-xs-12">
							<div class="box box-info">
								<div class="box-header with-border">
									<h3 class="box-title">Acervo da Biblioteca</h3>
									<div class="box-tools pull-right">
										<button type="button" class="btn btn-box-tool" data-widget="collapse">
											<i class="fa fa-minus"></i>
										</button>
									</div>
								</div>
								<div class="box-body">
								<form action="main?page=<%=Paginas.LIVROS_FAVORITOS.getPageParameter()%>&acao=<%=Constantes.ACTION_PESQUISAR_LIVROS%>" method="post">
									<div class="input-group">
										<input type="text" class="form-control" name="<%=Constantes.TEXTO_LIVRO%>">
										<span class="input-group-btn">
											<button type="submit" class="btn btn-primary btn-flat">
												<i class="fa fa-search"></i>
											</button>
										</span>
									</div>
								</form>
									<br>
									<table id="livros-biblioteca" class="table tabela-livro table-hover">
										<thead>
											<tr>
												<th class="titulo-livro">Título</th>
												<th class="autores-livro">Autor(es)</th>
												<th class="editora-livro">Editora</th>
												<th class="ano-livro">Ano</th>
												<th class="no-sort"></th>
											</tr>
										</thead>
										<tbody>
											<%
												List<Livro> livrosBiblioteca = (List<Livro>) request.getAttribute(Constantes.LISTA_BIBLIOTECA);
												if (livrosBiblioteca != null) {
													for (Livro livro : livrosBiblioteca) {
											%>
											<tr>
												<td class="titulo"><%=livro.getTitulo()%></td>
												<td class="autores"><%=livro.autoresToString()%></td>
												<td class="editora"><%=livro.getEditora()%></td>
												<td class="ano"><%=livro.getAnoPublicacao()%></td>
												<td>
													<a href="main?page=<%=Paginas.LIVROS_FAVORITOS.getPageParameter()%>&acao=<%=Constantes.ACTION_ADICIONAR_LIVRO_FAVORITO%>&<%=Constantes.ID_LIVRO%>=<%=livro.getIdLivro()%>&<%=Constantes.TEXTO_LIVRO%>=<%request.getParameter(Constantes.TEXTO_LIVRO);%>"><i
														class="glyphicon glyphicon-new-window"></i>
													</a>
												</td>
											</tr>
											<%
													}
												}
											%>
										</tbody>
									</table>
								</div>
	 						</div>
	 					</div>
					</div>
				</section>
			</div>
		</div>
		<jsp:include page="components/footer.jsp"></jsp:include>
	</div>

	<div class="modal modal-danger" id="modal-confirma-exclusao">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
					<h4 class="modal-title">Confirmação de Exclusão</h4>
				</div>
				<div class="modal-body">
					<p id="modal-mensagem-exclusao"></p>
				</div>
				<div class="modal-footer">
					<form action="" method="POST" id="form-exclusao">
						<button type="button" class="btn btn-outline pull-left" data-dismiss="modal">Não</button>
						<button type="submit" class="btn btn-outline">Sim</button>
					</form>
				</div>
			</div>
		</div>
	</div>
	

	<jsp:include page="components/javascriptFiles.jsp"></jsp:include>
	<jsp:include page="components/modals.jsp"></jsp:include>
	<jsp:include page="mantemNovoLivro.jsp"></jsp:include>
	<script src="pages/js/listaLivrosFavoritos.js"></script>
</body>
</html>
