package br.com.biblioteca.bo;

import java.sql.SQLException;
import java.text.ParseException;
import java.util.List;

import br.com.biblioteca.dao.AutorDAO;
import br.com.biblioteca.exception.NegocioException;
import br.com.biblioteca.exception.PersistenciaException;
import br.com.biblioteca.model.Autor;
import br.com.biblioteca.util.MensagensConstantes;

public class AutorBO {
	private AutorDAO autorDAO = new AutorDAO();

	public void setAutorDAO(AutorDAO autorDAO) {
		this.autorDAO = autorDAO;
	}
	 
	public AutorBO() {
		
	}
	
	public int cadastraAutor(Autor autor) throws PersistenciaException, NegocioException {
		
		try{
			if(validaAutor(autor)){
				int idAutor = autorDAO.cadastraAutor(autor);
				return idAutor;
			} 
			throw new NegocioException("O cadastro no pode ser efetuado");
		} catch (Exception e) {
			throw new PersistenciaException(MensagensConstantes.MSG_ERR_AUTOR_JA_EXISTENTE.replace("?", autor.getNome()));
		}						
	}
	
	public boolean validaAutor(Autor autor) {
		if (autor.getNome() != null && autor.getNome().length() >= 1 ) return true;
		return false;
	}
	
	public boolean editarAutor(Autor autor) throws PersistenciaException, SQLException, ParseException {
		try{
			if(validaAutor(autor)) {
				boolean resultado = autorDAO.editaAutor(autor);
				return resultado;
			} 
			throw new PersistenciaException("A edio no pode ser efetuada");
		}catch (Exception e) {
			throw new PersistenciaException(MensagensConstantes.MSG_ERR_EDITA_AUTOR.replace("?", autor.getNome()));
			}
		}
	
	public List<Autor> listarAutores() throws  PersistenciaException, SQLException{
		List<Autor> autores;
		AutorDAO autorDAO = new AutorDAO();
		autores = autorDAO.listarAutores();
		return autores;
	}
	
	}

