package br.com.biblioteca.bo;

import java.sql.SQLException;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;
import org.apache.log4j.Logger;
import br.com.biblioteca.dao.BibliografiaDAO;
import br.com.biblioteca.exception.NegocioException;
import br.com.biblioteca.model.BibliografiaBasica;
import br.com.biblioteca.model.BibliografiaHomologada;
import br.com.biblioteca.util.MensagensConstantes;

public class BibliografiaBO {

	private static final Logger logger = Logger.getLogger(BibliografiaBO.class);
	
	BibliografiaDAO bibliografiaDAO = new BibliografiaDAO();
	
	/**
	 * Este metdo tem por funo retornar ao objeto Command a bibliografia que no momento da consulta est homologada para a disciplina recebida por parmertro.
	 * @param idDisciplina
	 * @return BibliografiaHomologada
	 * @throws NegocioException
	 */
	public BibliografiaHomologada buscaBibliografiaDisciplina(int idDisciplina) throws NegocioException {
		BibliografiaHomologada homologada;
		try {			
			homologada = bibliografiaDAO.buscaBibliografiaHomologada(idDisciplina);
		} catch (SQLException | ClassNotFoundException e) {
			logger.error(e.getMessage());
			throw new NegocioException(MensagensConstantes.SYSTEM_GENERIC_ERROR);
		}
		return homologada;

	}
}
