package br.com.biblioteca.bo;

import java.sql.SQLException;

import br.com.biblioteca.dao.CurriculoDAO;
import br.com.biblioteca.exception.NegocioException;
import br.com.biblioteca.exception.PersistenciaException;
import br.com.biblioteca.model.Curriculo;
import br.com.biblioteca.util.MensagensConstantes;


public class CurriculoBO {

	private CurriculoDAO curriculoDAO;
	
	public CurriculoBO(CurriculoDAO curriculoDAO) {
		this.curriculoDAO = curriculoDAO;
	}
	
	public CurriculoBO() {
		
	}

	public boolean adicionarCurriculo(Curriculo curriculo) throws PersistenciaException{
		//if(curriculo.getCodigo() != ""){
		try{
		if(validarCurriculo(curriculo)){
			return curriculoDAO.adicionarCurriculo(curriculo);
		} throw new NegocioException("O cadastro no pode ser efetuado");
		} catch (Exception e) {
			throw new PersistenciaException(
					MensagensConstantes.MSG_ERR_CURRICULO_DADOS_INVALIDOS);
		}
	}
	
	public boolean editarCurriculo(Curriculo curriculo) throws PersistenciaException, SQLException{
		if(validarCurriculo(curriculo)){
		return curriculoDAO.editarCurriculo(curriculo);
		}
		return false;
	}
	
	public boolean removerCurriculo(Curriculo curriculo) throws PersistenciaException, SQLException{
		boolean removido = false;
		try{
			removido = curriculoDAO.removerCurriculo(curriculo);
		 
		}catch (SQLException e){
			e.printStackTrace();
		}
		return removido;
	}
	
	public Curriculo buscarCurriculoById(int id){
		return curriculoDAO.buscarCurriculoById(id);
	}
	
	public Curriculo buscarCurriculoByCodigo(String codigo){
		return curriculoDAO.buscarCurriculoByCodigo(codigo);
	}
	
	public boolean validarCurriculo(Curriculo curriculo){
		if (curriculo == null || curriculo.getCodigo() == null) {
			return false;
		}
		return true;
	}
	public void setCurriculo(CurriculoDAO curriculoDAO){
		this.curriculoDAO = curriculoDAO;
	}
}
