package br.com.biblioteca.bo;

import java.sql.SQLException;
import java.text.ParseException;

import br.com.biblioteca.dao.CursoDAO;
import br.com.biblioteca.exception.NegocioException;
import br.com.biblioteca.exception.PersistenciaException;
import br.com.biblioteca.model.Curso;
import br.com.biblioteca.util.MensagensConstantes;


public class CursoBO {
	
	private CursoDAO cursoDAO;
	
	public CursoBO(CursoDAO cursoDAO){
		this.cursoDAO = cursoDAO;
	}
	
	public CursoBO(){
		
	}
	
	public int adicionarCurso(Curso curso) throws PersistenciaException, SQLException, ParseException{ 
		
		try{
			
			if(validaCurso(curso)){
			int id_curso =	cursoDAO.adicionarCurso(curso);
			return id_curso;
			}
			throw new NegocioException("O cadastro no pode ser efetuado");
		}catch (Exception e) {
			throw new PersistenciaException(
					MensagensConstantes.MSG_ERR_CURSO_DADOS_INVALIDOS.replace("?", curso.getNome()));
		}
		
	}
	
	public boolean removerCurso(int id_curso) throws PersistenciaException, SQLException{
		boolean excluido = false;
		try {
			excluido = cursoDAO.removerCurso(id_curso);
		} catch (SQLException e) {
			e.printStackTrace();
		}
		return excluido;
	}
	
	public boolean editarCurso(Curso curso) throws PersistenciaException{
		if(validaCurso(curso)){
			return cursoDAO.editarCurso(curso);
		}
		return false;
	}
	
	public Curso buscarCursoPorId(int id) throws PersistenciaException, SQLException{
		//verificar se id  maior q 0?
		//if(id > 0)
		return cursoDAO.BuscarCursoPorId(id);
	}
	
	public Curso buscarCursoPorNome(String nome) throws PersistenciaException, SQLException{
		if(nome != null){
		return cursoDAO.BuscarCursoPorNome(nome);
		}
		//retornar null?
		return null;
	}
	
	public boolean validaCurso(Curso curso){
		//perguntar se precisa faculdade obrigatorio
		// e como  um int validar se  maior q 0
		if(curso == null || curso.getCodigo() == null || curso.getNome() == null){
			return false;
		}
		return true;
	}

	public void setCursoDAO(CursoDAO cursoDAO) {
		
		this.cursoDAO = cursoDAO;
	}

}
