package br.com.biblioteca.bo;
//---------------------------------------------
import br.com.biblioteca.dao.FaculdadeDAO;
import br.com.biblioteca.exception.NegocioException;
import br.com.biblioteca.exception.PersistenciaException;
import br.com.biblioteca.model.Faculdade;
import br.com.biblioteca.util.MensagensConstantes;
//---------------------------------------------

public class FaculdadeBO {

	FaculdadeDAO faculdadeDAO = new FaculdadeDAO();

	public FaculdadeBO() {}

	public void setFaculdadeDAO(FaculdadeDAO faculdadeDAO) {
		this.faculdadeDAO = faculdadeDAO;
	}
	
	public int cadastraFaculdade(Faculdade faculdade) throws PersistenciaException, NegocioException {
		
		try {
			
			if(validaFaculdade(faculdade)) {
				int idFaculdade = faculdadeDAO.cadastraFaculdade(faculdade);
				return idFaculdade;
			}  
			
			throw new NegocioException("Alerta! O cadastro no pode ser efetuado com sucesso!");
			
		} catch (Exception e) {
			throw new PersistenciaException(MensagensConstantes.MSG_ERR_FACULDADE_JA_EXISTENTE.replace("?", faculdade.getNome()));
			
		}
		
				
	}
	
	public boolean validaFaculdade(Faculdade faculdade) {		
		if (faculdade == null) return false;
		
		if (faculdade.getNome() != null) return true;
		
		return false;
		
	}
}