package br.com.biblioteca.bo;

import org.apache.log4j.Logger;

import br.com.biblioteca.dao.UsuarioDAO;
import br.com.biblioteca.exception.NegocioException;
import br.com.biblioteca.exception.PersistenciaException;
import br.com.biblioteca.model.Usuario;
import br.com.biblioteca.util.MensagensConstantes;

/**
 * Gerencia os comportamentos de neggocio do Usuario Associa os parametros da
 * tela as propriedades da classe
 * 
 * @author Cassio Trindade
 * 
 */
public class UsuarioBO {

	UsuarioDAO usuarioDAO = new UsuarioDAO();
	
	private static final Logger logger = Logger.getLogger(UsuarioBO.class);

	public UsuarioBO() {}

	public void setUsuarioDAO(UsuarioDAO usuarioDAO) {
		this.usuarioDAO = usuarioDAO;
	}



	/**
	 * Valida Usuario no sistema
	 * 
	 * @param request
	 * @return user
	 * @throws NegocioException
	 */
	public Usuario validaUsuario(Usuario usuarioDTO) throws NegocioException {
		
		Usuario usuario= null;

		try {

			usuario = usuarioDAO.validarUsuario(usuarioDTO);

			if (usuario == null) {
				logger.info(MensagensConstantes.MSG_ERR_USUARIO_SENHA_INVALIDOS);
				throw new NegocioException(MensagensConstantes.MSG_ERR_USUARIO_SENHA_INVALIDOS);
			}

		} catch (PersistenciaException e) {
			logger.error(e.getMessage());
			throw new NegocioException(MensagensConstantes.SYSTEM_GENERIC_ERROR);
		}

		return usuario;

	}
	
}
