package br.com.biblioteca.command;

import java.sql.SQLException;

import javax.servlet.http.HttpServletRequest;

import br.com.biblioteca.exception.NegocioException;
import br.com.biblioteca.exception.PersistenciaException;

/**
 * Interface que implementa o Designer Partner Command (GoF)
 * 
 *
 */
public interface Command {
	/**
	 * Execuo do comando para request de telas.
	 * @param request
	 * @return Retorna a string com o caminho para a prxima pgina a ser
	 * carregada.
	 * @throws NegocioException
	 * @throws SQLException 
	 * @throws PersistenciaException 
	 * @throws ClassNotFoundException 
	 */

	public String execute(HttpServletRequest request) throws NegocioException, PersistenciaException, SQLException, ClassNotFoundException;
}
