package br.com.biblioteca.dao;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import br.com.biblioteca.exception.PersistenciaException;
import br.com.biblioteca.model.Professor;
import br.com.biblioteca.util.ConexaoUtil;

public class CoordenadorDAO {
	public CoordenadorDAO() {
		super();
	}

	public Professor buscarProfessorById(int idProfessor) throws PersistenciaException, SQLException {
		Professor professor = new Professor();
		Connection conexao = null;

		try {
			conexao = ConexaoUtil.getConexao();

			StringBuilder sql = new StringBuilder();
			sql.append("select nome, email, matricula from tb_professor");
			sql.append("where id_professor = ?");

			PreparedStatement statement = conexao.prepareStatement(sql.toString());
			statement.setInt(1, idProfessor);

			ResultSet resultset = statement.executeQuery();
			if (resultset.next()) {
				professor.setIdProfessor(idProfessor);
				professor.setNome(resultset.getString("nome"));
				professor.setEmail(resultset.getString("email"));
				professor.setMatricula(resultset.getInt("matricula"));
			}
			return professor;
		} catch (Exception e) {
			throw new PersistenciaException("Error");
		} finally {
			conexao.close();
		}
	}
}