package br.com.biblioteca.dao;
//---------------------------------------------
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.text.ParseException;

import com.mysql.jdbc.Statement;

import br.com.biblioteca.exception.PersistenciaException;
import br.com.biblioteca.model.Faculdade;
import br.com.biblioteca.util.ConexaoUtil;
import br.com.biblioteca.util.MensagensConstantes;
//---------------------------------------------

public class FaculdadeDAO {
	
	public FaculdadeDAO(){ }

	public int cadastraFaculdade(Faculdade faculdade) throws PersistenciaException, SQLException, ParseException, ClassNotFoundException {
		Connection conexao = ConexaoUtil.getConexao();	
		
		try{
			
			int idFaculdade = 0;	
		
			StringBuilder sql = new StringBuilder();
			sql.append("insert into tb_faculdades(nome)");
			sql.append("values (?)");
			
			PreparedStatement statement = conexao.prepareStatement(sql.toString(), Statement.RETURN_GENERATED_KEYS);
			statement.setString(1, faculdade.getNome());
			
			statement.executeUpdate();
			
			ResultSet resultset = statement.getGeneratedKeys();
			
			if (resultset.first()) {
				idFaculdade = resultset.getInt(1);
				
			}
			
			return idFaculdade;
		
		} catch (SQLException e){
			throw new PersistenciaException(
					MensagensConstantes.MSG_ERR_FACULDADE_JA_EXISTENTE.replace("?", faculdade.getNome()));

		} finally {
			conexao.close();
			
		}
	}
}
