package br.com.biblioteca.dao;

/*
 *  Provavelmente ser inutilizada
 * */
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.HashMap;

import com.mysql.jdbc.Statement;

import br.com.biblioteca.exception.PersistenciaException;
import br.com.biblioteca.model.*;
import br.com.biblioteca.util.ConexaoUtil;

public class PropostaBibliografiaDAO {

	public  PropostaBibliografia buscaPropostaBibliografia( int idProfessor, int idDisciplina) throws SQLException, ClassNotFoundException, PersistenciaException {
	    PropostaBibliografia proposta = new PropostaBibliografia();
		proposta.getDisciplina().setIdDisciplina(idDisciplina);
		proposta = this.preencheDisciplina(proposta);
		proposta.getResponsavel().setIdUsuario(idProfessor);
    		if(existePropostaAtiva(proposta)) {
    			proposta = preencheIdStatusBibliografia(proposta);
    			proposta = preencheDisciplina(proposta);
    			if(propostaPossuiLivros(proposta)) {
    				Connection conexao = ConexaoUtil.getConexao();
            		StringBuilder consultaProposta = new StringBuilder();
               		consultaProposta.append("SELECT b.id_bibliografia as id_bibliografia, b.id_disciplina,  d.nome as nome_disciplina, ");
            		consultaProposta.append("c.tipo_bibliografia,  l.id_livro, l.titulo, l.edicao, l.isbn, l.editora, l.ano_publicacao, l.idioma, l.cidade_publicacao, ");
            		consultaProposta.append("a.id_autor as id_autor, a.nome as nome_autor ");
            		consultaProposta.append("FROM tb_bibliografias b ");
            		consultaProposta.append("INNER JOIN tb_bibliografia_livro c ");
            		consultaProposta.append("ON b.id_bibliografia = c.id_bibliografia ");
            		consultaProposta.append("INNER JOIN tb_disciplinas d ");
            		consultaProposta.append("ON b.id_disciplina = d.id_disciplina ");
            		consultaProposta.append("INNER JOIN tb_livro l ");
            		consultaProposta.append("ON c.id_livro = l.id_livro ");
            		consultaProposta.append("INNER JOIN tb_autores_livro al ");
            		consultaProposta.append("ON l.id_livro = al.id_livro ");
            		consultaProposta.append("INNER JOIN tb_autores a ");
            		consultaProposta.append("ON al.id_autor = a.id_autor ");
            		consultaProposta.append("WHERE b.status != 0 ");
            		consultaProposta.append("AND b.status != 10 ");
            		consultaProposta.append("AND b.flg_registro_vigente = 'S' ");
            		consultaProposta.append("AND c. situacao = 'A' ");
            		consultaProposta.append("AND b.id_disciplina = ? ");
            		consultaProposta.append("AND b.id_usuario_responsavel = ? ");

            		PreparedStatement statement = conexao.prepareStatement(consultaProposta.toString());
            		statement.setInt(1, idDisciplina);
            		statement.setInt(2, idProfessor);    		
            		ResultSet resultset = statement.executeQuery();
            		while (resultset.next()) {            			
            		    
            			int idLivro = resultset.getInt("id_livro");
            			Livro livro;
            			int codClassificacaoBasica = proposta.getBasica().getClassificacao();
            			int codClassificacaoComplementar = proposta.getComplementar().getClassificacao();
            			if(proposta.verificarTipoBibliografiaPorIdLivro(idLivro) == codClassificacaoBasica){
            				Autor autor = new Autor();
            				autor.setNome(resultset.getString("nome_autor"));
            				proposta.getLivroByIDAndClassificaco(idLivro, codClassificacaoBasica)
            				.addAutor(autor);
            			} else if (proposta.verificarTipoBibliografiaPorIdLivro(idLivro) == codClassificacaoComplementar){
            				Autor autor = new Autor();
            				autor.setNome(resultset.getString("nome_autor"));
            				proposta.getLivroByIDAndClassificaco(idLivro, codClassificacaoComplementar)
            				.addAutor(autor);
            			 }else{
            				livro = new Livro();
            				livro.setIdLivro(idLivro);
            				livro.setTitulo(resultset.getString("titulo"));
            				livro.setEdicao(resultset.getString("edicao"));
            				livro.setIsbn(resultset.getString("isbn"));
            				livro.setEditora(resultset.getString("editora"));
            				livro.setAnoPublicacao(resultset.getInt("ano_publicacao"));
            				livro.setIdioma(resultset.getString("idioma"));
            				livro.setCidadePublicacao(resultset.getString("cidade_publicacao"));
            				Autor autor = new Autor();
            				autor.setNome(resultset.getString("nome_autor"));
            				livro.addAutor(autor);
            				 if(resultset.getInt("tipo_bibliografia") == codClassificacaoBasica){
            					 proposta.addBookInBasica(livro);
            				 }else {
            					 proposta.addBookInComplementar(livro);
            				 }
            				 
            				 }	
            	}
        	 }
    	    }	
    		else {   
    		 
        	 proposta = this.criarNovaProposta(proposta);
        	     	
    		}

    		
    		return proposta;
    		
    	}

	public PropostaBibliografia criarNovaProposta(PropostaBibliografia proposta)
			throws PersistenciaException, SQLException, ClassNotFoundException {
		boolean status = false;
		Connection conexao = null;
		conexao = ConexaoUtil.getConexao();
		StringBuilder sql = new StringBuilder();
		sql.append(
				"INSERT INTO tb_bibliografias (id_disciplina, id_usuario_responsavel, versao, status, flg_registro_vigente) ");
		sql.append("VALUES ( ? , ? , 1, 1, 'S')");
		PreparedStatement statement = conexao.prepareStatement(sql.toString(), Statement.RETURN_GENERATED_KEYS);
		statement.setInt(1, proposta.getDisciplina().getIdDisciplina());
		statement.setInt(2, proposta.getResponsavel().getIdUsuario());
		status = statement.execute();
		proposta = this.preencheIdStatusBibliografia(proposta);
		
		return proposta;
	}

	public boolean propostaPossuiLivros(PropostaBibliografia proposta) throws ClassNotFoundException, SQLException {
		Connection conexao = ConexaoUtil.getConexao();
		StringBuilder consultaIdProposta = new StringBuilder();
		consultaIdProposta.append("SELECT count(id_bibliografia) FROM tb_bibliografia_livro where id_bibliografia = ?");
		PreparedStatement statement2 = conexao.prepareStatement(consultaIdProposta.toString());
		statement2.setInt(1, proposta.getIdProposta());
		ResultSet resultset2 = statement2.executeQuery();
		int qtde = 0;
		while (resultset2.next()) {
			qtde = resultset2.getInt("count(id_bibliografia)");
		}
		System.out.print("qdte prpostas " + qtde);
		if (qtde == 0) {
			return false;
		}
		return true;

	}

	public PropostaBibliografia preencheDisciplina(PropostaBibliografia proposta)
			throws SQLException, ClassNotFoundException {
		Connection conexao = ConexaoUtil.getConexao();
		StringBuilder consultaDisciplina = new StringBuilder();
		consultaDisciplina.append("SELECT nome FROM tb_disciplinas WHERE id_disciplina = ? ");
		PreparedStatement statement2 = conexao.prepareStatement(consultaDisciplina.toString());
		statement2.setInt(1, proposta.getDisciplina().getIdDisciplina());
		ResultSet resultset2 = statement2.executeQuery();
		while (resultset2.next()) {
			proposta.getDisciplina().setNome(resultset2.getString("nome"));
		
		}
		
		proposta = this.preencheCoordenador(proposta);
		return proposta;
		
	}
	public PropostaBibliografia preencheCoordenador(PropostaBibliografia proposta)
			throws SQLException, ClassNotFoundException {
		Connection conexao = ConexaoUtil.getConexao();
		StringBuilder consultaDisciplina = new StringBuilder();
		consultaDisciplina.append("SELECT u.id_usuario, u.nome, u.email "
				+ "FROM tb_usuarios u INNER JOIN tb_cursos c "
				+ "ON u.id_usuario = c.id_coordenador "
				+ "INNER JOIN tb_cursos_disciplinas s "
				+ "ON c.id_curso = s.id_curso "
				+ "WHERE s.id_disciplina = ? ");
		PreparedStatement statement2 = conexao.prepareStatement(consultaDisciplina.toString());
		statement2.setInt(1, proposta.getDisciplina().getIdDisciplina());
		ResultSet resultset2 = statement2.executeQuery();
		while (resultset2.next()) {
			proposta.getDisciplina().setIdCoordenador(resultset2.getInt("id_usuario"));
			proposta.getDisciplina().getCoordenador().setNome(resultset2.getString("nome"));
			proposta.getDisciplina().getCoordenador().setEmail(resultset2.getString("email"));
		
		}
		return proposta;
	}
	

	public PropostaBibliografia preencheIdStatusBibliografia(PropostaBibliografia proposta)
			throws ClassNotFoundException, SQLException {
		Connection conexao = ConexaoUtil.getConexao();
		StringBuilder consultaIdProposta = new StringBuilder();
		consultaIdProposta.append("SELECT b.id_bibliografia ");
		consultaIdProposta.append("FROM tb_bibliografias b ");
		consultaIdProposta.append("WHERE  b.status != 0 ");
		consultaIdProposta.append("AND b.status != 10 ");
		consultaIdProposta.append("AND b.flg_registro_vigente = 'S' ");
		consultaIdProposta.append("AND b.id_disciplina = ? ");
		consultaIdProposta.append("AND b.id_usuario_responsavel = ? ");
		PreparedStatement statement2 = conexao.prepareStatement(consultaIdProposta.toString());
		statement2.setInt(1, proposta.getDisciplina().getIdDisciplina());
		statement2.setInt(2, proposta.getResponsavel().getIdUsuario());
		ResultSet resultset2 = statement2.executeQuery();
		while (resultset2.next()) {
			proposta.setIdProposta(resultset2.getInt("id_bibliografia"));
			
		}
		proposta = preencheStatusBibliografia(proposta);
		return proposta;
	}
	public PropostaBibliografia preencheStatusBibliografia(PropostaBibliografia proposta)
			throws ClassNotFoundException, SQLException {
		Connection conexao = ConexaoUtil.getConexao();
		StringBuilder consultaIdProposta = new StringBuilder();
		consultaIdProposta.append("SELECT s.id_status, s.status "
				+ "from tb_bibliografias b inner join tb_status_bibliografia s "
				+ "on b.status = s.id_status "
				+ "where b.id_bibliografia = ? ");
		PreparedStatement statement2 = conexao.prepareStatement(consultaIdProposta.toString());
		statement2.setInt(1, proposta.getIdProposta());	
		ResultSet resultset2 = statement2.executeQuery();

		while (resultset2.next()) {		
			proposta.getStatus().setIdStatus(resultset2.getInt("id_status"));
			proposta.getStatus().setNome(resultset2.getString("status"));
		}

		return proposta;
	}
	public boolean existePropostaAtiva(PropostaBibliografia proposta) throws ClassNotFoundException, SQLException {
		Connection conexao = ConexaoUtil.getConexao();
		StringBuilder consultaIdProposta = new StringBuilder();
		consultaIdProposta.append("SELECT count(b.id_bibliografia) ");
		consultaIdProposta.append("FROM tb_bibliografias b ");
		consultaIdProposta.append("WHERE  b.status != 0 ");
		consultaIdProposta.append("AND b.status != 10 ");
		consultaIdProposta.append("AND b.flg_registro_vigente = 'S' ");
		consultaIdProposta.append("AND b.id_disciplina = ? ");
	
		PreparedStatement statement2 = conexao.prepareStatement(consultaIdProposta.toString());
		statement2.setInt(1, proposta.getDisciplina().getIdDisciplina());
		
		System.out.println("proposta.getDisciplina().getIdDisciplina() " + proposta.getDisciplina().getIdDisciplina());



		ResultSet resultset2 = statement2.executeQuery();
		int qtdePropostas = 0;
		while (resultset2.next()) {
			qtdePropostas = resultset2.getInt("count(b.id_bibliografia)");
		}
		if (qtdePropostas == 0) {
			return false;
		}
		return true;
	}

	public boolean addLivroNaBasica(int idProposta, int idLivro)
			throws PersistenciaException, SQLException, ClassNotFoundException {

		boolean status = false;
		Connection conexao = null;
		conexao = ConexaoUtil.getConexao();
		StringBuilder sql = new StringBuilder();
		sql.append("INSERT INTO tb_bibliografia_livro(id_bibliografia, id_livro, tipo_bibliografia, situacao) ");
		sql.append("VALUES(?, ?, 0, 'A')");
		PreparedStatement statement = conexao.prepareStatement(sql.toString(), Statement.RETURN_GENERATED_KEYS);
		statement.setInt(1, idProposta);
		statement.setInt(2, idLivro);
		status = statement.execute();
		return status;
	}

	public boolean addLivroNaComplementar(int idProposta, int idLivro)
			throws PersistenciaException, SQLException, ClassNotFoundException {
		boolean status = false;
		Connection conexao = null;
		conexao = ConexaoUtil.getConexao();
		StringBuilder sql = new StringBuilder();
		sql.append("INSERT INTO tb_bibliografia_livro(id_bibliografia, id_livro, tipo_bibliografia, situacao) ");
		sql.append("VALUES(?, ?, 1, 'A')");
		PreparedStatement statement = conexao.prepareStatement(sql.toString(), Statement.RETURN_GENERATED_KEYS);
		statement.setInt(1, idProposta);
		statement.setInt(2, idLivro);
		status = statement.execute();
		return status;
	}

	public boolean excluirProposta(PropostaBibliografia proposta) throws SQLException, ClassNotFoundException {

		/**
		 * criar insert para excluso proposta
		 */
		return true;
	}



	public boolean removerLivroPropostaByID(int idProposta, int idLivro) throws SQLException, ClassNotFoundException {
		boolean livroRemovido = false;
		Connection conexao = null;
		conexao = ConexaoUtil.getConexao();
		StringBuilder sql = new StringBuilder();
		sql.append("DELETE FROM tb_bibliografia_livro ");
		sql.append("WHERE id_bibliografia = ? ");
		sql.append("AND id_livro = ? ");
		PreparedStatement statement = conexao.prepareStatement(sql.toString());
		statement.setInt(1, idProposta);
		statement.setInt(2, idLivro);
		livroRemovido = statement.execute();
		return livroRemovido;
		
	
		
	}

	public int submeterAoCoordenador(int idProposta, int idCoordenador) throws SQLException, ClassNotFoundException {
		
		int status = 0;
		Connection conexao = null;
		conexao = ConexaoUtil.getConexao();
		StringBuilder sql = new StringBuilder();
		sql.append("UPDATE tb_bibliografias ");
		sql.append("SET ");
		sql.append("id_usuario_responsavel = ?, ");
		sql.append("status = 2 ");
		sql.append("WHERE id_bibliografia = ? ");
		PreparedStatement statement = conexao.prepareStatement(sql.toString(), Statement.RETURN_GENERATED_KEYS);
		statement.setInt(1, idCoordenador);
		statement.setInt(2, idProposta);
		status = statement.executeUpdate();
		return status;
	}
	
	

}
