package br.com.biblioteca.dao;


import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import org.apache.log4j.Logger;

import br.com.biblioteca.exception.PersistenciaException;
import br.com.biblioteca.model.Usuario;
import br.com.biblioteca.util.ConexaoUtil;

public class UsuarioDAO {
	
	private static final Logger logger = Logger.getLogger(UsuarioDAO.class);

	public UsuarioDAO(){ }

	/**
	 * @param usuarioDTO
	 * @return usuario para usuario valido ou null para usuario invlido @see Usuario
	 * @throws PersistenciaException
	 */
	public Usuario validarUsuario(Usuario usuarioDTO) throws PersistenciaException {
		
		Usuario usuario = new Usuario();
		
		try {

			

			Connection conexao = ConexaoUtil.getConexao();

			StringBuilder sql = new StringBuilder();
			sql.append("SELECT id_usuario, nome, email FROM tb_usuarios ");
			sql.append("WHERE email = ? and senha = ?");

			PreparedStatement statement = conexao.prepareStatement(sql.toString());
			statement.setString(1, usuarioDTO.getEmail());
			statement.setString(2, usuarioDTO.getSenha());

			ResultSet resultset = statement.executeQuery();

			if (resultset.next()) {
				usuario.setIdUsuario(resultset.getInt("id_usuario"));
				usuario.setEmail(resultset.getString("email"));
				usuario.setNome(resultset.getString("nome"));
			} else {
				usuario = null;
			}

		} catch (ClassNotFoundException | SQLException e) {
			logger.error(e.getMessage());
			throw new PersistenciaException(e);
		}

		return usuario;
	}
}
