CREATE DATABASE  IF NOT EXISTS `biblioteca_e` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `biblioteca_e`;
-- MySQL dump 10.13  Distrib 5.7.17, for Win64 (x86_64)
--
-- Host: localhost    Database: biblioteca_e
-- ------------------------------------------------------
-- Server version	5.7.19-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `tb_autores`
--

DROP TABLE IF EXISTS `tb_autores`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_autores` (
  `id_autor` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(100) NOT NULL,
  PRIMARY KEY (`id_autor`)
) ENGINE=InnoDB AUTO_INCREMENT=40 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_autores`
--

LOCK TABLES `tb_autores` WRITE;
/*!40000 ALTER TABLE `tb_autores` DISABLE KEYS */;
INSERT INTO `tb_autores` VALUES (1,'Ian Sommerville'),(2,'Ramez Elmasri'),(3,'Henry F. Korth'),(4,'S. Sudarshan'),(5,'Daniel Vieiraz'),(6,'Daniel Sadoc Menasche'),(7,'Joo Nunes de Souza'),(8,'Steven Klaudat'),(9,'Antoine de Saint-Exupry'),(10,'Harold T. Davis'),(11,'Michael Miller'),(12,'Ernesto Bruno Cossi'),(13,'James Stewart'),(14,'Wilson de Padua Paula Filho'),(15,'Raul Wazlawick'),(16,'Ronald Rivest'),(17,'Clifford Stein'),(18,'Ellis Horowitz'),(19,'Sartaj Sahni'),(20,'Sanguthevar Rajasekaran'),(21,'Judith L. Gersting'),(22,'Horstmann, Clay S.'),(23,'Ramnath, Sarnath'),(24,'Dathan, Brahma'),(25,'Weisfeld, Matt'),(26,'Deital, Harvey M.'),(27,'Deitel, Paul J.'),(28,'Farrel, Joyce'),(29,'Goodrich, Michael T.'),(30,'Tamassia, Roberto'),(31,'Laplante, Phillip A.'),(32,'Michael Miller'),(33,'Ernesto Bruno Cossi'),(34,'James Stewart'),(35,'Thomas H. Cormen'),(36,'Charles Eric Leiserson'),(37,'Behrouz A. Forouzan'),(38,'Louis Liard'),(39,'Godofredo Rangel');
/*!40000 ALTER TABLE `tb_autores` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_autores_livro`
--

DROP TABLE IF EXISTS `tb_autores_livro`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_autores_livro` (
  `id_livro` int(11) NOT NULL,
  `id_autor` int(11) NOT NULL,
  PRIMARY KEY (`id_livro`,`id_autor`),
  KEY `fk_table1_TB_AUTORES1_idx` (`id_autor`),
  CONSTRAINT `fk_table1_TB_AUTORES10` FOREIGN KEY (`id_autor`) REFERENCES `tb_autores` (`id_autor`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_table1_TB_LIVROS0` FOREIGN KEY (`id_livro`) REFERENCES `tb_livro` (`id_livro`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_autores_livro`
--

LOCK TABLES `tb_autores_livro` WRITE;
/*!40000 ALTER TABLE `tb_autores_livro` DISABLE KEYS */;
INSERT INTO `tb_autores_livro` VALUES (1,1),(2,2),(3,3),(3,4),(3,5),(3,6),(4,7),(5,7),(6,9),(7,10),(8,11),(9,12),(10,13),(21,14),(22,15),(11,16),(11,17),(12,18),(12,19),(12,20),(13,21),(14,22),(15,23),(15,24),(16,25),(17,26),(17,27),(18,28),(19,29),(19,30),(20,31),(8,32),(9,33),(10,34),(11,35),(11,36),(23,37),(24,37),(25,38),(25,39);
/*!40000 ALTER TABLE `tb_autores_livro` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_bibliografia_livro`
--

DROP TABLE IF EXISTS `tb_bibliografia_livro`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_bibliografia_livro` (
  `id_bibliografia` int(11) NOT NULL,
  `id_livro` int(11) NOT NULL,
  `tipo_bibliografia` int(11) NOT NULL,
  `situacao` char(1) NOT NULL,
  `data_hora` datetime DEFAULT NULL,
  PRIMARY KEY (`id_livro`,`id_bibliografia`),
  KEY `fk_tb_bibligrafia_acervo_tb_bibliografias1_idx` (`id_bibliografia`),
  CONSTRAINT `fk_tb_bibligrafia_acervo_tb_acervo1` FOREIGN KEY (`id_livro`) REFERENCES `tb_livro` (`id_livro`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_tb_bibligrafia_acervo_tb_bibliografias1` FOREIGN KEY (`id_bibliografia`) REFERENCES `tb_bibliografias` (`id_bibliografia`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_bibliografia_livro`
--

LOCK TABLES `tb_bibliografia_livro` WRITE;
/*!40000 ALTER TABLE `tb_bibliografia_livro` DISABLE KEYS */;
INSERT INTO `tb_bibliografia_livro` VALUES (2,1,0,'A','2017-10-03 15:14:23'),(6,1,0,'A',NULL),(1,2,0,'A','2017-10-03 15:14:23'),(1,3,0,'A','2017-10-03 15:14:23'),(1,4,1,'A','2017-10-03 15:14:23'),(2,4,1,'A','2017-10-03 15:14:23'),(3,4,1,'A','2017-10-03 15:14:23'),(1,5,1,'A','2017-10-03 15:14:23'),(2,5,1,'A','2017-10-03 15:14:23'),(1,6,0,'A','2017-10-03 15:14:23'),(2,7,0,'A','2017-10-03 15:14:23'),(3,7,1,'A','2017-10-03 15:14:23'),(2,8,0,'A','2017-10-03 15:14:23'),(3,8,0,'A','2017-10-03 15:14:23'),(1,9,1,'A','2017-10-03 15:14:23'),(2,9,1,'A','2017-10-03 15:14:23'),(3,9,1,'A','2017-10-03 15:14:23'),(1,10,1,'A','2017-10-03 15:14:23'),(2,10,1,'A','2017-10-03 15:14:23'),(3,10,1,'A','2017-10-03 15:14:23'),(1,12,1,'A','2017-10-03 15:14:23'),(2,13,1,'A','2017-10-03 15:14:23'),(3,13,1,'A','2017-10-03 15:14:23');
/*!40000 ALTER TABLE `tb_bibliografia_livro` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_bibliografias`
--

DROP TABLE IF EXISTS `tb_bibliografias`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_bibliografias` (
  `id_bibliografia` int(11) NOT NULL AUTO_INCREMENT,
  `id_disciplina` int(11) NOT NULL,
  `id_usuario_responsavel` int(11) NOT NULL,
  `versao` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  `flg_registro_vigente` char(1) NOT NULL DEFAULT 'N',
  `observacao` varchar(4000) DEFAULT NULL,
  `data_hora` datetime DEFAULT NULL,
  PRIMARY KEY (`id_bibliografia`,`id_disciplina`,`id_usuario_responsavel`),
  KEY `fk_tb_bibliografias_tb_disciplinas1_idx` (`id_disciplina`),
  KEY `fk_tb_status_bibliografia` (`status`),
  CONSTRAINT `fk_tb_bibliografias_tb_disciplinas1` FOREIGN KEY (`id_disciplina`) REFERENCES `tb_disciplinas` (`id_disciplina`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_tb_status_bibliografia` FOREIGN KEY (`status`) REFERENCES `tb_status_bibliografia` (`id_status`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_bibliografias`
--

LOCK TABLES `tb_bibliografias` WRITE;
/*!40000 ALTER TABLE `tb_bibliografias` DISABLE KEYS */;
INSERT INTO `tb_bibliografias` VALUES (1,1,1,1,0,'S',NULL,'2017-10-03 15:14:23'),(1,6,1,1,0,'S',NULL,'2017-10-03 15:14:23'),(2,3,2,1,0,'S',NULL,'2017-10-03 15:14:23'),(3,4,2,1,1,'S',NULL,'2017-10-03 15:14:23'),(4,9,7,1,1,'S',NULL,NULL),(5,9,1,1,2,'S',NULL,NULL),(6,12,7,1,1,'S',NULL,NULL);
/*!40000 ALTER TABLE `tb_bibliografias` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_curriculo_disciplina`
--

DROP TABLE IF EXISTS `tb_curriculo_disciplina`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_curriculo_disciplina` (
  `id_curriculo` int(11) NOT NULL,
  `id_disciplina` int(11) NOT NULL,
  PRIMARY KEY (`id_curriculo`,`id_disciplina`),
  KEY `fk_tb_curriculo_disciplina_tb_disciplinas1_idx` (`id_disciplina`),
  CONSTRAINT `fk_tb_curriculo_disciplina_tb_curriculos1` FOREIGN KEY (`id_curriculo`) REFERENCES `tb_curriculos` (`id_curriculo`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_tb_curriculo_disciplina_tb_disciplinas1` FOREIGN KEY (`id_disciplina`) REFERENCES `tb_disciplinas` (`id_disciplina`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_curriculo_disciplina`
--

LOCK TABLES `tb_curriculo_disciplina` WRITE;
/*!40000 ALTER TABLE `tb_curriculo_disciplina` DISABLE KEYS */;
INSERT INTO `tb_curriculo_disciplina` VALUES (1,1),(2,1),(1,2),(1,3),(1,4),(6,5),(2,6),(3,6),(4,6),(2,7),(3,8),(3,9),(3,10),(3,11),(4,11),(3,12),(4,12),(5,13),(5,14),(5,15),(6,16),(6,17),(7,18),(7,19),(7,20);
/*!40000 ALTER TABLE `tb_curriculo_disciplina` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_curriculos`
--

DROP TABLE IF EXISTS `tb_curriculos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_curriculos` (
  `id_curriculo` int(11) NOT NULL AUTO_INCREMENT,
  `codigo` varchar(45) DEFAULT NULL,
  `id_curso` int(11) NOT NULL,
  PRIMARY KEY (`id_curriculo`,`id_curso`),
  KEY `fk_tb_curriculos_tb_cursos1_idx` (`id_curso`),
  CONSTRAINT `fk_tb_curriculos_tb_cursos1` FOREIGN KEY (`id_curso`) REFERENCES `tb_cursos` (`id_curso`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_curriculos`
--

LOCK TABLES `tb_curriculos` WRITE;
/*!40000 ALTER TABLE `tb_curriculos` DISABLE KEYS */;
INSERT INTO `tb_curriculos` VALUES (1,'12345-06',1),(2,'12978-06',2),(3,'22340-03',3),(4,'1530C-01',4),(5,'34008-04',5),(6,'11002-02',6),(7,'4580A-07',7);
/*!40000 ALTER TABLE `tb_curriculos` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_cursos`
--

DROP TABLE IF EXISTS `tb_cursos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_cursos` (
  `id_curso` int(11) NOT NULL AUTO_INCREMENT,
  `codigo` varchar(100) DEFAULT NULL,
  `nome` varchar(100) DEFAULT NULL,
  `id_faculdade` int(11) NOT NULL,
  `id_coordenador` int(11) DEFAULT NULL,
  PRIMARY KEY (`id_curso`,`id_faculdade`),
  UNIQUE KEY `codigo_UNIQUE` (`codigo`),
  KEY `fk_tb_curso_tb_faculdade1_idx` (`id_faculdade`),
  KEY `fk_tb_curso_tb_usuario` (`id_coordenador`),
  CONSTRAINT `fk_tb_curso_tb_faculdade1` FOREIGN KEY (`id_faculdade`) REFERENCES `tb_faculdades` (`id_faculdade`),
  CONSTRAINT `fk_tb_curso_tb_usuario` FOREIGN KEY (`id_coordenador`) REFERENCES `tb_usuarios` (`id_usuario`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_cursos`
--

LOCK TABLES `tb_cursos` WRITE;
/*!40000 ALTER TABLE `tb_cursos` DISABLE KEYS */;
INSERT INTO `tb_cursos` VALUES (1,'00123-04','Engenharia Civil',1,8),(2,'2222-08','Engenharia de Computação',1,NULL),(3,'3000-03','Engenharia de Software',2,NULL),(4,'3000-04 ','Ciência da Computação',2,NULL),(5,'5050-05','Medicina ',6,NULL),(6,'6056-06','Direito ',7,NULL),(7,'74652-06','Letras: Língua Inglesa ',10,NULL);
/*!40000 ALTER TABLE `tb_cursos` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_cursos_disciplinas`
--

DROP TABLE IF EXISTS `tb_cursos_disciplinas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_cursos_disciplinas` (
  `id_disciplina` int(11) NOT NULL,
  `id_curso` int(11) NOT NULL,
  KEY `id_disciplina` (`id_disciplina`),
  KEY `id_curso` (`id_curso`),
  CONSTRAINT `tb_cursos_disciplinas_ibfk_1` FOREIGN KEY (`id_disciplina`) REFERENCES `tb_disciplinas` (`id_disciplina`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `tb_cursos_disciplinas_ibfk_2` FOREIGN KEY (`id_curso`) REFERENCES `tb_cursos` (`id_curso`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_cursos_disciplinas`
--

LOCK TABLES `tb_cursos_disciplinas` WRITE;
/*!40000 ALTER TABLE `tb_cursos_disciplinas` DISABLE KEYS */;
INSERT INTO `tb_cursos_disciplinas` VALUES (1,1),(2,1),(3,1),(4,1),(5,1),(6,1),(7,1),(8,1),(9,1),(10,1),(11,1),(12,1),(13,1),(14,1),(15,1),(16,1);
/*!40000 ALTER TABLE `tb_cursos_disciplinas` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_disciplinas`
--

DROP TABLE IF EXISTS `tb_disciplinas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_disciplinas` (
  `id_disciplina` int(11) NOT NULL AUTO_INCREMENT,
  `codigo` varchar(45) DEFAULT NULL,
  `nome` varchar(45) DEFAULT NULL,
  `data_alteracao` datetime DEFAULT NULL,
  `status` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id_disciplina`),
  UNIQUE KEY `codigo_UNIQUE` (`codigo`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_disciplinas`
--

LOCK TABLES `tb_disciplinas` WRITE;
/*!40000 ALTER TABLE `tb_disciplinas` DISABLE KEYS */;
INSERT INTO `tb_disciplinas` VALUES (1,'4115M-04','Clculo Diferencial e Integral I','2017-02-12 15:14:23','pendente'),(2,'48320-02','Desenho A','2017-02-12 15:14:23','pendente'),(3,'4420R-04','Geologia Aplicada','2017-02-12 15:14:23','pendente'),(4,'4610T-02','Ferramentas Computacionais','2017-02-12 15:14:23','pendente'),(5,'15090-04','Filosofia e ɉtica Geral','2017-02-12 15:14:23','pendente'),(6,'46171-04','Algoritmos e Estruturas de Dados I','2017-02-12 15:14:23','pendente'),(7,'48319-04','Desenho Tcnico','2017-02-12 15:14:23','pendente'),(8,'46512-04','Introduo a Engenharia de Software','2017-02-12 15:14:23','pendente'),(9,'2540L-04','Empreendimentos Empresariais','2017-02-12 15:14:23','pendente'),(10,'4110Y-04','Estruturas Algbricas','2017-02-12 15:14:23','pendente'),(11,'4611F-04','Programao Orientada a Objetos','2017-02-12 15:14:23','pendente'),(12,'4611C-06','Fundamentos de Programao','2017-02-12 15:14:23','pendente'),(13,'31514-10','Fundamentos Anatmicos I','2017-02-12 15:14:23','pendente'),(14,'33411-04','Aproximao  Prtica Medica','2017-02-12 15:14:23','pendente'),(15,'31515-06','Fundamentos Morfolgicos I','2017-02-12 15:14:23','pendente'),(16,'24165-02','Histria do Direito','2017-02-12 15:14:23','pendente'),(17,'24154-04','Cincia Poltica: Estado e Constituio','2017-02-12 15:14:23','pendente'),(18,'125BA-06','Lngua Inglesa I','2017-02-12 15:14:23','pendente'),(19,'12224-04','Lngua Brasileira de Sinais','2017-02-12 15:14:23','pendente'),(20,'1216C-04','Fundamentos dos Estudos Literrios','2017-02-12 15:14:23','pendente');
/*!40000 ALTER TABLE `tb_disciplinas` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_disciplinas_professores`
--

DROP TABLE IF EXISTS `tb_disciplinas_professores`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_disciplinas_professores` (
  `id_disciplina` int(11) NOT NULL,
  `id_professor` int(11) NOT NULL,
  PRIMARY KEY (`id_disciplina`,`id_professor`),
  KEY `fk_tb_disciplina_professor_tb_disciplina1_idx` (`id_disciplina`),
  KEY `fk_tb_disciplinas_professores_tb_professores1_idx` (`id_professor`),
  CONSTRAINT `fk_tb_disciplina_professor_tb_disciplina1` FOREIGN KEY (`id_disciplina`) REFERENCES `tb_disciplinas` (`id_disciplina`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_tb_disciplinas_professores_tb_professores1` FOREIGN KEY (`id_professor`) REFERENCES `tb_professores` (`id_professor`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_disciplinas_professores`
--

LOCK TABLES `tb_disciplinas_professores` WRITE;
/*!40000 ALTER TABLE `tb_disciplinas_professores` DISABLE KEYS */;
INSERT INTO `tb_disciplinas_professores` VALUES (1,1),(3,2),(4,2),(6,1),(7,1),(8,6),(9,6),(9,7),(11,4),(12,4),(12,7),(13,3),(14,3),(15,3),(16,5),(17,5);
/*!40000 ALTER TABLE `tb_disciplinas_professores` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_faculdades`
--

DROP TABLE IF EXISTS `tb_faculdades`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_faculdades` (
  `id_faculdade` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id_faculdade`),
  UNIQUE KEY `nome_UNIQUE` (`nome`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_faculdades`
--

LOCK TABLES `tb_faculdades` WRITE;
/*!40000 ALTER TABLE `tb_faculdades` DISABLE KEYS */;
INSERT INTO `tb_faculdades` VALUES (7,'Escola de Direito'),(10,'Escola de Humanidades'),(6,'Escola de Medicina'),(1,'Faculdade de Engenharia'),(9,'Faculdade de Farmcia'),(3,'Faculdade de Fisica'),(2,'Faculdade de Informtica'),(4,'Faculdade de Matemtica'),(11,'Faculdade de Negcios'),(8,'Faculdade de Odontologia'),(5,'Faculdade de Quimica');
/*!40000 ALTER TABLE `tb_faculdades` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_grupo_funcao`
--

DROP TABLE IF EXISTS `tb_grupo_funcao`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_grupo_funcao` (
  `id_grupo` int(11) NOT NULL,
  `descricao` varchar(100) NOT NULL,
  PRIMARY KEY (`id_grupo`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_grupo_funcao`
--

LOCK TABLES `tb_grupo_funcao` WRITE;
/*!40000 ALTER TABLE `tb_grupo_funcao` DISABLE KEYS */;
INSERT INTO `tb_grupo_funcao` VALUES (0,'Administrador'),(1,'Professor'),(2,'Coordenador'),(3,'Diretor'),(4,'Bibilioteca'),(100,'todos');
/*!40000 ALTER TABLE `tb_grupo_funcao` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_livro`
--

DROP TABLE IF EXISTS `tb_livro`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_livro` (
  `id_livro` int(11) NOT NULL AUTO_INCREMENT,
  `titulo` varchar(45) DEFAULT NULL,
  `edicao` varchar(45) DEFAULT NULL,
  `isbn` varchar(45) DEFAULT NULL,
  `editora` varchar(45) DEFAULT NULL,
  `ano_publicacao` int(11) DEFAULT NULL,
  `idioma` varchar(45) DEFAULT NULL,
  `cidade_publicacao` varchar(45) DEFAULT NULL,
  `novo_cadastro` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id_livro`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_livro`
--

LOCK TABLES `tb_livro` WRITE;
/*!40000 ALTER TABLE `tb_livro` DISABLE KEYS */;
INSERT INTO `tb_livro` VALUES (1,'Engenharia de Software','6. ed.','8588639076','Pearson Education',2004,'Portugus','So Paulo ',1),(2,'Sistemas de Banco de Dados','4. ed.','8588639173','Pearson Education',2005,'Portugus','So Paulo',0),(3,'Sistemas de Banco de Dados','6 edio','9788535245356','Elsevier',2012,'Portugus','Rio de Janeiro ',0),(4,'Lgica para cincia da computao','2 edio','9788535229615 ','Campus',2008,'Portugus','Rio de Janeiro ',0),(5,'Cincia',NULL,'9788576571261','Artmed',2009,'Portugus','Porto Alegre',1),(6,'Le Petit Prince',NULL,NULL,'Gallimard',1946,'Francs','Paris',0),(7,'Computao','2 edio','8570564570','Atual',1995,'Portugus','So Paulo',1),(8,'Internet','2 edeo','857001953X ','Campus',1995,'Portugus','Rio de Janeiro',0),(9,'Clculo','3 Volume',NULL,'Esc. de Engenharia / PUCRS',1968,'Portugus','Porto Alegre',1),(10,'Clculo','2 Volume','9788522106615','CENGAGE Learning',2010,'Portugus','So Paulo',0),(11,'Algoritmos  teoria e prtica','3. ed.','9788535236996','lsevier Campus',2012,'Portugues','Rio de janeiro',1),(12,'Computer algorithms','2.ed.',' 0929306414','Silicon Press',NULL,'Ingls',NULL,1),(13,'Fundamentos Matemticos','5.ed.','9788521614227','LTC',2004,'Portugues','Rio de janeiro',0),(14,'Java for everyone: late objects','2nd ed.','9780471791911','Wiley',2013,'Ingles','Danvers',1),(15,'Object-oriented analysis and design',NULL,'9781849965217','Springer',2015,'Ingles','New York (NY)',1),(16,'The object-oriented thought process','4. ed.','9780321861276','Addison-Wesley',2013,'Ingls','Upper Saddle River',1),(17,'Java how to program','4. ed.','0130341517','Prentice Hall',2002,'Ingles','Upper Saddle River',0),(18,'An object-oriented approach to programming lo','4. ed.','9781133188223','CENGAGE Learning',2013,'Ingls','Boston',0),(19,'Estruturas de dados e algoritmos em Java','4. ed.','9788560031504','Bookman',2007,'Portugues','Porto Alegre',1),(20,'Requirements Engineering for Software and Sys','Second edition','9781466560819','CRC Press Taylor & Francis',2014,'Ingls','Boca Raton',0),(21,'Engenharia de Software:Fundamentos e Mtodos','3 edio','8521616503','LTC',2009,'Portugus','So Paulo',1),(22,'Engenharia de Software:Conceitos e Prticas','1 edio','8535260846','Elsevier',2013,'Portugus','Rio de Janeiro',1),(23,'Fundamentos da cincia da computao','1 edio','9788522110537','CENGAGE Learning',2012,'Portugus','So Paulo',1),(24,'Computao grfica','1 edio','9788524410537','Nova Cultural',1988,'Portugus','So Paulo',1),(25,'Lgica','7 edio',NULL,'Cia. Editora Nacional',1968,'Portugus','So Paulo',1);
/*!40000 ALTER TABLE `tb_livro` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_livro_favorito`
--

DROP TABLE IF EXISTS `tb_livro_favorito`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_livro_favorito` (
  `id_livro_favorito` int(11) NOT NULL AUTO_INCREMENT,
  `id_livro` int(11) NOT NULL,
  `id_professor` int(11) NOT NULL,
  PRIMARY KEY (`id_livro_favorito`,`id_livro`,`id_professor`),
  KEY `fk_tb_livro_favorito_tb_professores1_idx` (`id_livro`,`id_professor`),
  KEY `fk_tb_livro_favorito_tb_professores1` (`id_professor`),
  CONSTRAINT `fk_tb_livro_favorito_tb_livro1` FOREIGN KEY (`id_livro`) REFERENCES `tb_livro` (`id_livro`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_tb_livro_favorito_tb_professores1` FOREIGN KEY (`id_professor`) REFERENCES `tb_professores` (`id_professor`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=43 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_livro_favorito`
--

LOCK TABLES `tb_livro_favorito` WRITE;
/*!40000 ALTER TABLE `tb_livro_favorito` DISABLE KEYS */;
INSERT INTO `tb_livro_favorito` VALUES (1,6,1),(2,2,1),(3,3,1),(4,4,1),(5,5,1),(6,10,2),(7,11,2),(8,14,2),(9,6,4),(10,2,4),(11,3,4),(12,4,4),(13,20,4),(14,11,4),(15,22,6),(16,21,6),(17,14,6),(18,1,6),(19,1,7),(20,2,7),(21,3,7),(22,4,7),(23,5,7),(24,6,7),(25,7,7),(26,8,7),(27,9,7),(28,10,7),(29,11,7),(30,12,7),(31,14,7),(32,15,7),(33,16,7),(34,17,7),(35,18,7),(36,19,7),(37,20,7),(38,21,7),(39,22,7),(40,23,7),(41,24,7),(42,25,7);
/*!40000 ALTER TABLE `tb_livro_favorito` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_professores`
--

DROP TABLE IF EXISTS `tb_professores`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_professores` (
  `id_professor` int(11) NOT NULL,
  `matricula` int(11) DEFAULT NULL,
  PRIMARY KEY (`id_professor`),
  UNIQUE KEY `matricula_UNIQUE` (`matricula`),
  KEY `fk_tb_professores_tb_usuario1_idx` (`id_professor`),
  CONSTRAINT `fk_tb_professores_tb_usuario1` FOREIGN KEY (`id_professor`) REFERENCES `tb_usuarios` (`id_usuario`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_professores`
--

LOCK TABLES `tb_professores` WRITE;
/*!40000 ALTER TABLE `tb_professores` DISABLE KEYS */;
INSERT INTO `tb_professores` VALUES (7,151043305),(3,153358804),(5,169223105),(6,171043304),(1,171049902),(2,173048804),(4,1534633098);
/*!40000 ALTER TABLE `tb_professores` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_status_bibliografia`
--

DROP TABLE IF EXISTS `tb_status_bibliografia`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_status_bibliografia` (
  `id_status` int(11) NOT NULL,
  `status` varchar(100) NOT NULL,
  `descricao` varchar(4000) NOT NULL,
  `funcao_responsavel` int(11) NOT NULL,
  PRIMARY KEY (`id_status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_status_bibliografia`
--

LOCK TABLES `tb_status_bibliografia` WRITE;
/*!40000 ALTER TABLE `tb_status_bibliografia` DISABLE KEYS */;
INSERT INTO `tb_status_bibliografia` VALUES (0,'Homologada','Propostas j homologadas e no ativas',100),(1,'Pendente com o Professor','birl birl',1),(2,'Em anlise do Coordenador','birl birl',2),(3,'Rejeitada pelo Coordenador','birl birl',1),(4,'Em anlise do Diretor/Decano','birl birl',3),(5,'Rejeitada pelo Diretor/Decano','birl birl',2),(6,'Em anlise da biblioteca ','birl birl',4),(7,'Rejeitada pela biblioteca','birl birl',3),(10,'Homologada','homologada e ativa',100);
/*!40000 ALTER TABLE `tb_status_bibliografia` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_usuarios`
--

DROP TABLE IF EXISTS `tb_usuarios`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_usuarios` (
  `id_usuario` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(100) DEFAULT NULL,
  `email` varchar(50) DEFAULT NULL,
  `senha` varchar(240) DEFAULT NULL,
  `data_inclusao` datetime DEFAULT NULL,
  `grupo_funcao` int(11) NOT NULL,
  PRIMARY KEY (`id_usuario`),
  KEY `fk_tb_usuarios_grupos` (`grupo_funcao`),
  CONSTRAINT `fk_tb_usuarios_grupos` FOREIGN KEY (`grupo_funcao`) REFERENCES `tb_grupo_funcao` (`id_grupo`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_usuarios`
--

LOCK TABLES `tb_usuarios` WRITE;
/*!40000 ALTER TABLE `tb_usuarios` DISABLE KEYS */;
INSERT INTO `tb_usuarios` VALUES (1,'Henrique Muller','henrique.muller@outlook.com','henrique','2017-02-12 15:14:23',1),(2,'Denise Castro','denise.castro@outlook.com','denise','2017-10-28 12:00:00',1),(3,'Wallace Torres','wallace.Torres@outlook.com','2001','2015-11-03 23:00:43',1),(4,'Marta Silva de Oliveira','msoliveira@bol.com.br','2012','2015-11-04 10:33:43',1),(5,'Thomas Costa Rock','thomas_costa@outlook.com','1234','2016-01-28 23:00:43',1),(6,'Bruna ludovico Novo','bru.lunovo@gmail.com.br','12345','2017-01-28 09:02:05',1),(7,'Administrador','adm@outlook.com','adm','2013-05-29 15:14:23',1),(8,'JM Fantin','joao.fantin@acad.pucrs.br','15104312','2016-06-04 15:30:00',1),(9,'Guilherme Deconto','guilherme.deconto@acad.pucrs.br','17103456','2017-08-14 12:59:00',1),(10,'Michelangelo Viana','mviana.br@gmail.com','123123',NULL,2);
/*!40000 ALTER TABLE `tb_usuarios` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Dumping events for database 'biblioteca_e'
--

--
-- Dumping routines for database 'biblioteca_e'
--
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2017-10-27 15:28:06
