package br.com.biblioteca.model;

import java.util.HashSet;
import java.util.Set;
import java.util.Iterator;

/**
 * Esta classe representa a base de uma bibliografia, seja ela complementar ou bsica ambas possuem uma coleo de livros (set).
 */
public abstract class Bibliografia {

	private Set<Livro> livros = new HashSet<>();

	/**
	 * Construtor
	 */
	public Bibliografia() {

		livros = new HashSet<>();


	}

	/**
	 *  Mtodo para incluso de um livro na relao de livros da bibliografia.
	 * @param livro
	 * @return true se o livro for adicionado e false caso contrrio
	 */
	public boolean addLivro(Livro livro) {
		if(livros.add(livro)) {
			return true;

		}
		return false;
	}

	/**
	 *
	 * @return quantidade de livros contidos na coleo
	 */
	public int getQuantidade(){
		return this.livros.size();
	}

	public Set<Livro> getLivros() {
		return livros;
	}

	/**
	 *  Recebe uma coleo de livros e seta a nova coleo.
	 * @param livros
	 */
	public void setLivros(Set <Livro> livros) {
		this.livros = livros;
	}


	/**
	 * Metodo para excluso de livro da coleo de livros.
	 * @param idLivro
	 * @return true se o elemento for removido e false caso no seja encontrado.
	 */
	public boolean removeLivroId(int idLivro){
		
		
		for (Livro l : livros) {
			if (l.getIdLivro() == idLivro) {
				livros.remove(l);
				return  true;
			}
		}
		return false;
	}

	/**
	 *
	 * @return a String do objeto bibliografia instnciado
	 */
	@Override
	public String toString() {
		StringBuilder livrosToString = new StringBuilder();
		for(Iterator<Livro> iterador = this.livros.iterator();
			iterador.hasNext();) {
			Livro livroAtual = iterador.next();
			livrosToString.append(livroAtual);
			livrosToString.append("\n");
		}
		return livrosToString.toString();
	}
}