package br.com.biblioteca.model;

import java.util.HashMap;
/**
 *  Esta classe representa uma bibliografia complementar de uma bibliografia.
 *  Tendo em vista que o limite de livros pode mudar com o passar do tempo, indica-se que tal parmetro no fique "chumbado" no cdigo fonte.
 *  Classificaes:
 *   0 - Bsica
 *   1 - Complementar
 */
public class BibliografiaComplementar extends Bibliografia{

	private int classificacao = 1;
	private int limiteDeLivros = 5; //Quantidade de livros da disciplina bsica definido pelo MEC/Administrador do sistema.

	/**
	 * Construtor da classe.
	 */
	public BibliografiaComplementar() {
		super( );

	}

	/**
	 *
	 * @return classificao da bibliografia, neste caso 1
	 */
	public int getClassificacao() {
		return classificacao;
	}

	/**
	 *
	 * @return o limite de livros setado
	 */
	public int getLimiteDeLivros() {
		return limiteDeLivros;
	}

	public void setClassificacao(int classificacao) {
		this.classificacao = classificacao;
	}

	/**
	 * Metodo para incluir livro na coleo da bibliografia complementar
	 * @param livro
	 * @return true se livro for adicionado a coleo e false caso no seja.
	 */
	public boolean add(Livro livro) {
		if( !(super.getQuantidade() + 1 > this.getLimiteDeLivros()) | super.addLivro(livro) ){
			return true;
		}
		return false;
	}

	/**
	 * metodo para remoo de livro da bibliografia complementar
	 * @param id
	 * @return true se livro for removido com sucesso e false caso o mesmo inexista na lista;
	 */
	public boolean removeLivro(int id){
		if(super.removeLivroId(id)){
			return  true;
		}
		return false;

	}

	/**
	 *
	 * @return String da bibliografia.
	 */
	@Override
	public String toString() {

		return "Complementar \n" +
				super.toString();
	}
	
	
	
}
