package br.com.biblioteca.model;

import java.util.LinkedList;
import java.util.List;

public class Livro {
	
	private int idLivro;
	private String titulo;
	private String edicao;
	private String isbn;
	private String editora;
	private String idioma;
	private String cidadePublicacao;
	private int anoPublicacao;
	private boolean novoCadastro;
	private List<Autor> autores;
		
	public Livro() {
		this.autores = new LinkedList<>();
	}

	public Livro(String titulo, String edicao, String isbn, String editora, String idioma,
			String cidadePublicacao, int anoPublicacao, boolean novoCadastro, List<Autor> autores) {
		setTitulo(titulo);
		setEdicao(edicao);
		setIsbn(isbn);
		setEditora(editora);
		setIdioma(idioma);
		setCidadePublicacao(cidadePublicacao);
		this.anoPublicacao = anoPublicacao;
		this.novoCadastro = novoCadastro;
		this.autores = autores;
	}

	public int getIdLivro() {
		return idLivro;
	}
	
	public void setIdLivro(int idLivro) {
		this.idLivro = idLivro;
	}

	public String getTitulo() {
		return titulo;
	}

	public void setTitulo(String titulo) {
		if (titulo != null)
			this.titulo = titulo.trim();
		else
			titulo = null;
	}

	public String getEdicao() {
		return (this.edicao != null) ? this.edicao : "";
	}

	public void setEdicao(String edicao) {
		if (edicao != null)
			this.edicao = edicao.trim();
		else
			this.edicao = null;
	}

	public String getIsbn() {
		return (this.isbn != null) ? this.isbn : "";
	}

	public void setIsbn(String isbn) {
		if(isbn != null)
			this.isbn = isbn.trim();
		else
			this.isbn = null;
	}

	public String getEditora() {
		return (this.editora != null) ? this.editora : "";
	}

	public void setEditora(String editora) {
		if(isbn != null)
			this.editora = editora.trim();
		else
			this.editora = null;
	}

	public String getIdioma() {
		return (this.idioma != null) ? this.idioma : "";
	}
	
	public void setIdioma(String idioma) {
		if(idioma != null)
			this.idioma = idioma.trim();
		else
			this.idioma = null;
	}

	public String getCidadePublicacao() {
		return (this.cidadePublicacao != null) ? this.cidadePublicacao : "";
	}

	public void setCidadePublicacao(String cidadePublicacao) {
		if(cidadePublicacao != null)
			this.cidadePublicacao = cidadePublicacao.trim();
		else
			this.cidadePublicacao = null;
	}

	public int getAnoPublicacao() {
		return anoPublicacao;
	}

	public void setAnoPublicacao(int anoPublicacao) {
		this.anoPublicacao = anoPublicacao;
	}
		
	public boolean isNovoCadastro() {
		return novoCadastro;
	}

	public void setNovoCadastro(boolean novoCadastro) {
		this.novoCadastro = novoCadastro;
	}

	public List<Autor> getAutores() {
		return autores;
	}

	public void setAutores(List<Autor> autores) {
		this.autores = autores;
	}
	
	public Livro addAutor(Autor autor) {
		this.autores.add(autor);
		return this;
	}
	
	public String autoresToString() {
		StringBuilder str = new StringBuilder();
		for (int i = 0; i < autores.size(); i++) {
			if (i == 0) {
				str.append(autores.get(i).getNome());
			} else {
				if (i + 1 == autores.size()) {
					str.append(" e ").append(autores.get(i).getNome());
				} else {
					str.append(" ").append(autores.get(i).getNome());
				}
			}
		}
		str.append(".");
		return str.toString();
	}
	
	public int totalAutores() {
		return autores.size();
	}

	@Override
	public String toString() {
		return "Livro [idLivro=" + idLivro + ", titulo=" + titulo + ", edicao=" + edicao + ", isbn=" + isbn
				+ ", editora=" + editora + ", idioma=" + idioma + ", cidadePublicacao=" + cidadePublicacao
				+ ", anoPublicacao=" + anoPublicacao + ", autores=" + autores + "]";
	}
	
	
}
