package br.com.biblioteca.servlet;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;

import br.com.biblioteca.command.Command;
import br.com.biblioteca.exception.NegocioException;
import br.com.biblioteca.exception.PersistenciaException;
import br.com.biblioteca.util.Constantes;
import br.com.biblioteca.util.Paginas;
import br.com.biblioteca.util.Session;

@WebServlet("/main")
public class MainServlet extends HttpServlet {

	private static Logger logger = Logger.getLogger(MainServlet.class);

	private static final long serialVersionUID = 1L;

	@Override
	public void init() throws ServletException {
	}

	@Override
	protected void service(HttpServletRequest request, HttpServletResponse response) {

		String page = request.getParameter(Constantes.COMMAND_PARAM);
		String proxima = Paginas.LOGIN.getJSPFile();
		
		logger.debug("page parameter = " + page);

		if(page == null || "".equals(page)) {
			page = Paginas.DISCIPLINAS.getPageParameter();
		}
				
		
		try {

			Command comando = Paginas.getCommand(page);
			proxima = comando.execute(request);
			request.setAttribute(Constantes.TITTLE, Paginas.getTittleByParameter(page));
			request.getSession().setAttribute(Constantes.PAGE_CONTEXT, proxima);

		} catch (NegocioException | PersistenciaException | SQLException e) {
			// proxima = (String) request.getSession().getAttribute(Constantes.PAGE_CONTEXT);       
				//nao tenta ir pra proxima pagina se nao logar com sucesso
			logger.error(e.getMessage());
			request.setAttribute(Constantes.ERROR_MSG, e.getMessage());
			//manda o erro de login em tela (na teoria nao eh mais pra estourar em NullPointer)
		} catch (ClassNotFoundException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} 			

		try {
			request.getRequestDispatcher(proxima).forward(request, response);
		} catch (ServletException | IOException e) {
			logger.error("Servlet Dispatcher Error: " + e.getMessage());
		}
	}

}
