package br.com.biblioteca.util;

import br.com.biblioteca.command.BibliografiaDisciplinaCommand;
import br.com.biblioteca.command.PropostaBibliografiaCommand;
import br.com.biblioteca.command.Command;
import br.com.biblioteca.command.HomeCommand;
import br.com.biblioteca.command.LivrosFavoritosCommand;

public enum Paginas {

	LOGIN("Pgina Inicial", "home", "pages/login.jsp", new HomeCommand()),
	DISCIPLINAS("Pgina Inicial", "listarDisciplina", "pages/disciplinas.jsp", new HomeCommand()),
	LIVROS_FAVORITOS("Lista de Favoritos", "listaFavoritos", "pages/listaLivrosFavoritos.jsp", new LivrosFavoritosCommand()),
	BIBLIOGRAFIA_DISCIPLINA("Bibliografia da Disciplina", "bibliografiaDisciplina", "pages/bibliografiaDisciplina.jsp", new BibliografiaDisciplinaCommand()),
	PROPOSTA_BIBLIOGRAFIA("Proposta de Bibliografia", "propostaBibliografia", "pages/bibliografiaProposta.jsp", new PropostaBibliografiaCommand());
	
	private String tittle;
	private String parameter;
	private String JSPFile;
	private Command command;
	
	Paginas(String tittle, String parameter, String JSPFile, Command command) {
		this.tittle = tittle;
		this.parameter = parameter;
		this.JSPFile = JSPFile;
		this.command = command;
	}
	
	public String getPageTittle() {
		return this.tittle;
	}
	
	public String getPageParameter() {
		return this.parameter;
	}
	
	public String getJSPFile() {
		return this.JSPFile;
	}
	
	public Command getCommand() {
		return this.command;
	}
	
	public static Command getCommand(String parameter) {
		for (Paginas pageSetup : Paginas.values()) {
			if (pageSetup.getPageParameter().equals(parameter)) {
				return pageSetup.getCommand();
			}
		}
		return null;
	}

	public static String getTittleByParameter(String parameter) {
		for (Paginas pageSetup : Paginas.values()) {
			if (pageSetup.getPageParameter().equals(parameter)) {
				return pageSetup.getPageTittle();
			}
		}
		return "Biblioteca";
	}
}
