package br.com.biblioteca.bo;

import static org.junit.Assert.assertEquals;

import java.sql.SQLException;
import java.text.ParseException;

import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.runners.MockitoJUnitRunner;

import br.com.biblioteca.dao.AutorDAO;
import br.com.biblioteca.exception.NegocioException;
import br.com.biblioteca.exception.PersistenciaException;
import br.com.biblioteca.model.Autor;

@RunWith(MockitoJUnitRunner.class)
public class AutorBOTest {
	private Autor autor;
	private Autor autor1;
	private AutorBO autorBO;
	
	@Mock
	 AutorDAO autorDAOMock;
	
	
	@Before
	public void setUp() throws Exception {
		autorBO = new AutorBO();
		autorBO.setAutorDAO(autorDAOMock);
		
		autor = new Autor("Krepo");
		autor1 = new Autor("");						
	}

	
	@Test
	public void TestCadastraAutor() throws PersistenciaException, NegocioException, SQLException, ParseException {	
			Mockito.when(autorDAOMock.cadastraAutor(autor)).thenReturn(1);
			int idAutor = autorBO.cadastraAutor(autor);
			assertEquals(true,idAutor == 1);
		
	}
	
	@Test
	public void TestCadastraAutor2() throws PersistenciaException, NegocioException, SQLException, ParseException {	
			Mockito.when(autorDAOMock.cadastraAutor(autor1)).thenReturn(1);
			int idAutor = autorBO.cadastraAutor(autor);
			assertEquals(false,idAutor == 1);
		
	}
	
}
