package br.com.biblioteca.bo;
//----------------------------------------------------------
import static org.junit.Assert.*;
//----------------------------------------------------------
import java.sql.SQLException;
import java.text.ParseException;
//----------------------------------------------------------
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.runners.MockitoJUnitRunner;
//----------------------------------------------------------
import br.com.biblioteca.dao.FaculdadeDAO;
import br.com.biblioteca.exception.NegocioException;
import br.com.biblioteca.exception.PersistenciaException;
import br.com.biblioteca.model.Faculdade;
//----------------------------------------------------------

@RunWith(MockitoJUnitRunner.class)

public class FaculdadeBOTest {
	private FaculdadeBO faculdadeBO;
	private Faculdade faculdadeFacin;
	private Faculdade faculdadeNull;
	
	@Mock
	FaculdadeDAO faculdadeDAOMock;
	
	@Before
	public void setUp() throws Exception {
		faculdadeBO = new FaculdadeBO();
		faculdadeBO.setFaculdadeDAO(faculdadeDAOMock);
		
		faculdadeFacin = new Faculdade("FACIN");
		faculdadeNull = new Faculdade("");
		
	}
	
	@Test
	public void testeCadastraFaculdade() throws PersistenciaException, NegocioException, SQLException, ParseException, ClassNotFoundException { // Testa um cadastro de uma faculdade vlida. 
		Mockito.when(faculdadeDAOMock.cadastraFaculdade(faculdadeFacin)).thenReturn(1);
		int idFaculdade = faculdadeBO.cadastraFaculdade(faculdadeFacin);
		assertEquals(true,idFaculdade == 1);
		
	}
	
	@Test
	public void testeCadastraFaculdadeNull() throws PersistenciaException, NegocioException, SQLException, ParseException, ClassNotFoundException { // Testa um cadastro de uma faculdade null. 
		Mockito.when(faculdadeDAOMock.cadastraFaculdade(faculdadeNull)).thenReturn(0);
		int idFaculdade = faculdadeBO.cadastraFaculdade(faculdadeNull);
		assertEquals(0,idFaculdade);
		
	}
	
	@Test
	public void testeValidaFaculdade() throws NegocioException{
		boolean valido = faculdadeBO.validaFaculdade(faculdadeFacin);
		assertTrue(valido);
		
	}
	
	@Test
	public void testeValidaFaculdadeNull() throws NegocioException{
		boolean valido = faculdadeBO.validaFaculdade(null);
		assertFalse(valido);
		
	}
	
	
	
	
	
	
	
}
