package br.com.biblioteca.bo;

import java.sql.SQLException;
import java.util.ArrayList;

import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.runners.MockitoJUnitRunner;

import br.com.biblioteca.bo.LivrosFavoritosBO;
import br.com.biblioteca.dao.CursoDAO;
import br.com.biblioteca.dao.LivrosFavoritosDAO;
import br.com.biblioteca.exception.NegocioException;
import br.com.biblioteca.exception.PersistenciaException;
import br.com.biblioteca.model.Autor;
import br.com.biblioteca.model.Curso;
import br.com.biblioteca.model.Livro;
import br.com.biblioteca.model.Faculdade;
import br.com.biblioteca.model.Usuario;
import junit.framework.Assert;
import junit.framework.TestCase;

public class LivrosFavoritosTest {
	@RunWith(MockitoJUnitRunner.class)

	public class CursoBOTest extends TestCase{

		private Livro livro;
		private Usuario usuario;
		private int idLivro;
		private int idUsuario;
		private LivrosFavoritosBO livrosFavoritosBO;
		@Mock
		LivrosFavoritosDAO LivrosFavoritosMock;


		@Before
		public void setUp() throws Exception {
			livrosFavoritosBO = new LivrosFavoritosBO();
			livrosFavoritosBO.setLivrosFavoritosDAO(LivrosFavoritosMock);

			Livro livro = new Livro ("titulo","edicao","isbn","editora","idioma","cidade",1, true,null);
			Usuario usuario = new Usuario ("email","senha","nome");
			idLivro = 1;
			idUsuario = 1;
		}
		@Test
		public void AdicionaLivroFavorito() throws PersistenciaException, SQLException, NegocioException, ClassNotFoundException {
			int idCurso = 1;
			Mockito.when(LivrosFavoritosMock.adicionarLivroFavoritoDAO(idUsuario, idLivro)).thenReturn(true);
			boolean adicionado = livrosFavoritosBO.adicionaLivroFavoritoBO(idUsuario, idLivro);
			Assert.assertTrue(adicionado);
		}
		
		@Test
		public void RemoverLivroFavorito() throws PersistenciaException, SQLException, NegocioException, ClassNotFoundException {
			Mockito.when(LivrosFavoritosMock.removerLivro(usuario.getIdUsuario(), livro.getIdLivro())).thenReturn(true);
			boolean removido = livrosFavoritosBO.removerLivro(usuario, livro.getIdLivro());
			Assert.assertTrue(removido);
		}
		
	}
}
