package br.com.biblioteca.bo;

import java.sql.SQLException;

import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.runners.MockitoJUnitRunner;

import br.com.biblioteca.dao.ProfessorDAO;
import br.com.biblioteca.exception.PersistenciaException;
import br.com.biblioteca.model.Professor;
import junit.framework.Assert;
import junit.framework.TestCase;

@RunWith(MockitoJUnitRunner.class)

public class ProfessorBOTest extends TestCase {

	private Professor professor;
	private ProfessorBO professorBO;
	
	@Mock
	ProfessorDAO professorDAOMock;
	
	@Before
	public void setUp() throws Exception {
		professorBO = new ProfessorBO(professorDAOMock);

		professor = new Professor("callegari@pucrs.br", "123", 1, "Callegari", 1);
	}

	@Test
	public void buscarProfessorByIdExistente() throws PersistenciaException, SQLException {
		int idProfessor = 1;
		Mockito.when(professorDAOMock.buscarProfessorById(idProfessor)).thenReturn(professor);
		Professor professor1 = professorBO.buscarProfessorById(idProfessor);
		Assert.assertTrue(professor == professor1);
	}

	@Test
	public void buscarProfessorByIdInexistente() throws PersistenciaException, SQLException {
		int idProfessor = 1;
		Mockito.when(professorDAOMock.buscarProfessorById(idProfessor)).thenReturn(null);
		Professor professor1 = professorBO.buscarProfessorById(idProfessor);
		Assert.assertFalse(professor == professor1);
	}
}
